searchData={"items":[{"type":"module","title":"ExOpenAI","doc":"Auto-generated SDK for OpenAI APIs\nSee https://platform.openai.com/docs/api-reference/introduction for further info on REST endpoints\nMake sure to refer to the README on Github to see what is implemented and what isn't yet","ref":"ExOpenAI.html"},{"type":"function","title":"ExOpenAI.start/2","doc":"","ref":"ExOpenAI.html#start/2"},{"type":"module","title":"ExOpenAI.Assistants","doc":"Modules for interacting with the `assistants` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/assistants","ref":"ExOpenAI.Assistants.html"},{"type":"function","title":"ExOpenAI.Assistants.create_assistant/2","doc":"Create an assistant with a model and instructions.\n\nEndpoint: `https://api.openai.com/v1/assistants`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#create_assistant/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.create_assistant/2","doc":"- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models) for descriptions of them.","ref":"ExOpenAI.Assistants.html#create_assistant/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.create_assistant/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `description`: \"The description of the assistant. The maximum length is 512 characters.\\n\"\n\n- `instructions`: \"The system instructions that the assistant uses. The maximum length is 256,000 characters.\\n\"\n\n- `metadata`: \"\"\n\n- `name`: \"The name of the assistant. The maximum length is 256 characters.\\n\"\n\n- `reasoning_effort`: \"\"\n\n- `response_format`: \"\"\n\n- `temperature`: \"What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\\n\"\n\n*Example*: `1`\n\n- `tool_resources`: \"A set of resources that are used by the assistant's tools. The resources are specific to the type of tool. For example, the `code_interpreter` tool requires a list of file IDs, while the `file_search` tool requires a list of vector store IDs.\\n\"\n\n- `tools`: \"A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of types `code_interpreter`, `file_search`, or `function`.\\n\"\n\n- `top_p`: \"An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\\n\\nWe generally recommend altering this or temperature but not both.\\n\"\n\n*Example*: `1`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Assistants.html#create_assistant/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Assistants.delete_assistant/2","doc":"Delete an assistant.\n\nEndpoint: `https://api.openai.com/v1/assistants/{assistant_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#delete_assistant/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.delete_assistant/2","doc":"- `assistant_id`","ref":"ExOpenAI.Assistants.html#delete_assistant/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.delete_assistant/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Assistants.html#delete_assistant/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Assistants.get_assistant/2","doc":"Retrieves an assistant.\n\nEndpoint: `https://api.openai.com/v1/assistants/{assistant_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#get_assistant/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.get_assistant/2","doc":"- `assistant_id`","ref":"ExOpenAI.Assistants.html#get_assistant/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.get_assistant/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Assistants.html#get_assistant/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Assistants.list_assistants/1","doc":"Returns a list of assistants.\n\nEndpoint: `https://api.openai.com/v1/assistants`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#list_assistants/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.list_assistants/1","doc":"","ref":"ExOpenAI.Assistants.html#list_assistants/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.list_assistants/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Assistants.html#list_assistants/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Assistants.modify_assistant/2","doc":"Modifies an assistant.\n\nEndpoint: `https://api.openai.com/v1/assistants/{assistant_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#modify_assistant/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.modify_assistant/2","doc":"- `assistant_id`","ref":"ExOpenAI.Assistants.html#modify_assistant/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.modify_assistant/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Assistants.html#modify_assistant/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Audio","doc":"Modules for interacting with the `audio` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/audio","ref":"ExOpenAI.Audio.html"},{"type":"function","title":"ExOpenAI.Audio.create_speech/4","doc":"Generates audio from the input text.\n\nEndpoint: `https://api.openai.com/v1/audio/speech`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/audio\n\n---","ref":"ExOpenAI.Audio.html#create_speech/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Audio.create_speech/4","doc":"- `input`: The text to generate audio for. The maximum length is 4096 characters.\n\n- `model`: One of the available [TTS models](https://platform.openai.com/docs/models#tts): `tts-1` or `tts-1-hd`\n\n\n- `voice`: The voice to use when generating the audio. Supported voices are `alloy`, `ash`, `coral`, `echo`, `fable`, `onyx`, `nova`, `sage` and `shimmer`. Previews of the voices are available in the [Text to speech guide](https://platform.openai.com/docs/guides/text-to-speech#voice-options).","ref":"ExOpenAI.Audio.html#create_speech/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Audio.create_speech/4","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `response_format`: \"The format to audio in. Supported formats are `mp3`, `opus`, `aac`, `flac`, `wav`, and `pcm`.\"\n\n- `speed`: \"The speed of the generated audio. Select a value from `0.25` to `4.0`. `1.0` is the default.\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Audio.html#create_speech/4-optional-arguments"},{"type":"function","title":"ExOpenAI.Audio.create_transcription/3","doc":"Transcribes audio into the input language.\n\nEndpoint: `https://api.openai.com/v1/audio/transcriptions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/audio\n\n---","ref":"ExOpenAI.Audio.html#create_transcription/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Audio.create_transcription/3","doc":"- `file`: The audio file object (not file name) to transcribe, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `model`: ID of the model to use. Only `whisper-1` (which is powered by our open source Whisper V2 model) is currently available.","ref":"ExOpenAI.Audio.html#create_transcription/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Audio.create_transcription/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `language`: \"The language of the input audio. Supplying the input language in [ISO-639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) (e.g. `en`) format will improve accuracy and latency.\\n\"\n\n- `prompt`: \"An optional text to guide the model's style or continue a previous audio segment. The [prompt](https://platform.openai.com/docs/guides/speech-to-text#prompting) should match the audio language.\\n\"\n\n- `response_format`: \"\"\n\n- `temperature`: \"The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use [log probability](https://en.wikipedia.org/wiki/Log_probability) to automatically increase the temperature until certain thresholds are hit.\\n\"\n\n- `timestamp_granularities[]`: \"The timestamp granularities to populate for this transcription. `response_format` must be set `verbose_json` to use timestamp granularities. Either or both of these options are supported: `word`, or `segment`. Note: There is no additional latency for segment timestamps, but generating word timestamps incurs additional latency.\\n\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Audio.html#create_transcription/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Audio.create_translation/3","doc":"Translates audio into English.\n\nEndpoint: `https://api.openai.com/v1/audio/translations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/audio\n\n---","ref":"ExOpenAI.Audio.html#create_translation/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Audio.create_translation/3","doc":"- `file`: The audio file object (not file name) translate, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `model`: ID of the model to use. Only `whisper-1` (which is powered by our open source Whisper V2 model) is currently available.","ref":"ExOpenAI.Audio.html#create_translation/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Audio.create_translation/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `prompt`: \"An optional text to guide the model's style or continue a previous audio segment. The [prompt](https://platform.openai.com/docs/guides/speech-to-text#prompting) should be in English.\\n\"\n\n- `response_format`: \"\"\n\n- `temperature`: \"The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use [log probability](https://en.wikipedia.org/wiki/Log_probability) to automatically increase the temperature until certain thresholds are hit.\\n\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Audio.html#create_translation/3-optional-arguments"},{"type":"module","title":"ExOpenAI.Batches","doc":"Modules for interacting with the `batches` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/batches","ref":"ExOpenAI.Batches.html"},{"type":"function","title":"ExOpenAI.Batches.cancel_batch/2","doc":"Cancels an in-progress batch. The batch will be in status `cancelling` for up to 10 minutes, before changing to `cancelled`, where it will have partial results (if any) available in the output file.\n\nEndpoint: `https://api.openai.com/v1/batches/{batch_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/batches\n\n---","ref":"ExOpenAI.Batches.html#cancel_batch/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Batches.cancel_batch/2","doc":"- `batch_id`","ref":"ExOpenAI.Batches.html#cancel_batch/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Batches.cancel_batch/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Batches.html#cancel_batch/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Batches.create_batch/1","doc":"Creates and executes a batch from an uploaded file of requests\n\nEndpoint: `https://api.openai.com/v1/batches`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/batches\n\n---","ref":"ExOpenAI.Batches.html#create_batch/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Batches.create_batch/1","doc":"","ref":"ExOpenAI.Batches.html#create_batch/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Batches.create_batch/1","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Batches.html#create_batch/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Batches.list_batches/1","doc":"List your organization's batches.\n\nEndpoint: `https://api.openai.com/v1/batches`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/batches\n\n---","ref":"ExOpenAI.Batches.html#list_batches/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Batches.list_batches/1","doc":"","ref":"ExOpenAI.Batches.html#list_batches/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Batches.list_batches/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `after`\n\n- `limit`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Batches.html#list_batches/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Batches.retrieve_batch/2","doc":"Retrieves a batch.\n\nEndpoint: `https://api.openai.com/v1/batches/{batch_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/batches\n\n---","ref":"ExOpenAI.Batches.html#retrieve_batch/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Batches.retrieve_batch/2","doc":"- `batch_id`","ref":"ExOpenAI.Batches.html#retrieve_batch/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Batches.retrieve_batch/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Batches.html#retrieve_batch/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Chat","doc":"Modules for interacting with the `chat` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/chat","ref":"ExOpenAI.Chat.html"},{"type":"function","title":"ExOpenAI.Chat.create_chat_completion/3","doc":"**Starting a new project?** We recommend trying [Responses](https://platform.openai.com/docs/api-reference/responses) \nto take advantage of the latest OpenAI platform features. Compare\n[Chat Completions with Responses](https://platform.openai.com/docs/guides/responses-vs-chat-completions?api-mode=responses).\n\n---\n\nCreates a model response for the given chat conversation. Learn more in the\n[text generation](https://platform.openai.com/docs/guides/text-generation), [vision](https://platform.openai.com/docs/guides/vision),\nand [audio](https://platform.openai.com/docs/guides/audio) guides.\n\nParameter support can differ depending on the model used to generate the\nresponse, particularly for newer reasoning models. Parameters that are only\nsupported for reasoning models are noted below. For the current state of \nunsupported parameters in reasoning models, \n[refer to the reasoning guide](https://platform.openai.com/docs/guides/reasoning).\n\n\nEndpoint: `https://api.openai.com/v1/chat/completions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/chat\n\n---","ref":"ExOpenAI.Chat.html#create_chat_completion/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Chat.create_chat_completion/3","doc":"- `messages`: A list of messages comprising the conversation so far. Depending on the\n[model](https://platform.openai.com/docs/models) you use, different message types (modalities) are\nsupported, like [text](https://platform.openai.com/docs/guides/text-generation),\n[images](https://platform.openai.com/docs/guides/vision), and [audio](https://platform.openai.com/docs/guides/audio).\n\n\n- `model`: Model ID used to generate the response, like `gpt-4o` or `o1`. OpenAI\noffers a wide range of models with different capabilities, performance\ncharacteristics, and price points. Refer to the [model guide](https://platform.openai.com/docs/models)\nto browse and compare available models.","ref":"ExOpenAI.Chat.html#create_chat_completion/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Chat.create_chat_completion/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `audio`: \"Parameters for audio output. Required when audio output is requested with\\n`modalities: [\\\"audio\\\"]`. [Learn more](https://platform.openai.com/docs/guides/audio).\\n\"\n\n- `frequency_penalty`: \"Number between -2.0 and 2.0. Positive values penalize new tokens based on\\ntheir existing frequency in the text so far, decreasing the model's\\nlikelihood to repeat the same line verbatim.\\n\"\n\n- `function_call`: \"Deprecated in favor of `tool_choice`.\\n\\nControls which (if any) function is called by the model.\\n\\n`none` means the model will not call a function and instead generates a\\nmessage.\\n\\n`auto` means the model can pick between generating a message or calling a\\nfunction.\\n\\nSpecifying a particular function via `{\\\"name\\\": \\\"my_function\\\"}` forces the\\nmodel to call that function.\\n\\n`none` is the default when no functions are present. `auto` is the default\\nif functions are present.\\n\"\n\n- `functions`: \"Deprecated in favor of `tools`.\\n\\nA list of functions the model may generate JSON inputs for.\\n\"\n\n- `logit_bias`: \"Modify the likelihood of specified tokens appearing in the completion.\\n\\nAccepts a JSON object that maps tokens (specified by their token ID in the\\ntokenizer) to an associated bias value from -100 to 100. Mathematically,\\nthe bias is added to the logits generated by the model prior to sampling.\\nThe exact effect will vary per model, but values between -1 and 1 should\\ndecrease or increase likelihood of selection; values like -100 or 100\\nshould result in a ban or exclusive selection of the relevant token.\\n\"\n\n- `logprobs`: \"Whether to return log probabilities of the output tokens or not. If true,\\nreturns the log probabilities of each output token returned in the\\n`content` of `message`.\\n\"\n\n- `max_completion_tokens`: \"An upper bound for the number of tokens that can be generated for a completion, including visible output tokens and [reasoning tokens](https://platform.openai.com/docs/guides/reasoning).\\n\"\n\n- `max_tokens`: \"The maximum number of [tokens](https://platform.openai.com/tokenizer) that can be generated in the\\nchat completion. This value can be used to control\\n[costs](https://openai.com/api/pricing/) for text generated via API.\\n\\nThis value is now deprecated in favor of `max_completion_tokens`, and is\\nnot compatible with [o1 series models](https://platform.openai.com/docs/guides/reasoning).\\n\"\n\n- `modalities`: \"\"\n\n- `n`: \"How many chat completion choices to generate for each input message. Note that you will be charged based on the number of generated tokens across all of the choices. Keep `n` as `1` to minimize costs.\"\n\n*Example*: `1`\n\n- `parallel_tool_calls`: \"\"\n\n- `prediction`: \"Configuration for a [Predicted Output](https://platform.openai.com/docs/guides/predicted-outputs),\\nwhich can greatly improve response times when large parts of the model\\nresponse are known ahead of time. This is most common when you are\\nregenerating a file with only minor changes to most of the content.\\n\"\n\n- `presence_penalty`: \"Number between -2.0 and 2.0. Positive values penalize new tokens based on\\nwhether they appear in the text so far, increasing the model's likelihood\\nto talk about new topics.\\n\"\n\n- `reasoning_effort`: \"\"\n\n- `response_format`: \"An object specifying the format that the model must output.\\n\\nSetting to `{ \\\"type\\\": \\\"json_schema\\\", \\\"json_schema\\\": {...} }` enables\\nStructured Outputs which ensures the model will match your supplied JSON\\nschema. Learn more in the [Structured Outputs\\nguide](https://platform.openai.com/docs/guides/structured-outputs).\\n\\nSetting to `{ \\\"type\\\": \\\"json_object\\\" }` enables the older JSON mode, which\\nensures the message the model generates is valid JSON. Using `json_schema`\\nis preferred for models that support it.\\n\"\n\n- `seed`: \"This feature is in Beta.\\nIf specified, our system will make a best effort to sample deterministically, such that repeated requests with the same `seed` and parameters should return the same result.\\nDeterminism is not guaranteed, and you should refer to the `system_fingerprint` response parameter to monitor changes in the backend.\\n\"\n\n- `service_tier`: \"Specifies the latency tier to use for processing the request. This parameter is relevant for customers subscribed to the scale tier service:\\n  - If set to 'auto', and the Project is Scale tier enabled, the system\\n    will utilize scale tier credits until they are exhausted.\\n  - If set to 'auto', and the Project is not Scale tier enabled, the request will be processed using the default service tier with a lower uptime SLA and no latency guarentee.\\n  - If set to 'default', the request will be processed using the default service tier with a lower uptime SLA and no latency guarentee.\\n  - When not set, the default behavior is 'auto'.\\n\\n  When this parameter is set, the response body will include the `service_tier` utilized.\\n\"\n\n- `stop`: \"\"\n\n- `store`: \"Whether or not to store the output of this chat completion request for \\nuse in our [model distillation](https://platform.openai.com/docs/guides/distillation) or\\n[evals](https://platform.openai.com/docs/guides/evals) products.\\n\"\n\n- `stream`: \"If set to true, the model response data will be streamed to the client\\nas it is generated using [server-sent events](https://developer.mozilla.org/en-UShttps://platform.openai.com/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format).\\nSee the [Streaming section below](https://platform.openai.com/docs/api-reference/chat/streaming)\\nfor more information, along with the [streaming responses](https://platform.openai.com/docs/guides/streaming-responses)\\nguide for more information on how to handle the streaming events.\\n\"\n\n- `stream_options`: \"\"\n\n- `tool_choice`: \"\"\n\n- `tools`: \"A list of tools the model may call. Currently, only functions are supported as a tool. Use this to provide a list of functions the model may generate JSON inputs for. A max of 128 functions are supported.\\n\"\n\n- `top_logprobs`: \"An integer between 0 and 20 specifying the number of most likely tokens to\\nreturn at each token position, each with an associated log probability.\\n`logprobs` must be set to `true` if this parameter is used.\\n\"\n\n- `web_search_options`: \"This tool searches the web for relevant results to use in a response.\\nLearn more about the [web search tool](https://platform.openai.com/docs/guides/tools-web-search?api-mode=chat).\\n\"\n\n- `metadata`: \"\"\n\n- `temperature`: \"What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\\nWe generally recommend altering this or `top_p` but not both.\\n\"\n\n*Example*: `1`\n\n- `top_p`: \"An alternative to sampling with temperature, called nucleus sampling,\\nwhere the model considers the results of the tokens with top_p probability\\nmass. So 0.1 means only the tokens comprising the top 10% probability mass\\nare considered.\\n\\nWe generally recommend altering this or `temperature` but not both.\\n\"\n\n*Example*: `1`\n\n- `user`: \"A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices#end-user-ids).\\n\"\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Chat.html#create_chat_completion/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Chat.delete_chat_completion/2","doc":"Delete a stored chat completion. Only Chat Completions that have been\ncreated with the `store` parameter set to `true` can be deleted.\n\n\nEndpoint: `https://api.openai.com/v1/chat/completions/{completion_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/chat\n\n---","ref":"ExOpenAI.Chat.html#delete_chat_completion/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Chat.delete_chat_completion/2","doc":"- `completion_id`","ref":"ExOpenAI.Chat.html#delete_chat_completion/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Chat.delete_chat_completion/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Chat.html#delete_chat_completion/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Chat.get_chat_completion/2","doc":"Get a stored chat completion. Only Chat Completions that have been created\nwith the `store` parameter set to `true` will be returned.\n\n\nEndpoint: `https://api.openai.com/v1/chat/completions/{completion_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/chat\n\n---","ref":"ExOpenAI.Chat.html#get_chat_completion/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Chat.get_chat_completion/2","doc":"- `completion_id`","ref":"ExOpenAI.Chat.html#get_chat_completion/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Chat.get_chat_completion/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Chat.html#get_chat_completion/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Chat.get_chat_completion_messages/2","doc":"Get the messages in a stored chat completion. Only Chat Completions that\nhave been created with the `store` parameter set to `true` will be\nreturned.\n\n\nEndpoint: `https://api.openai.com/v1/chat/completions/{completion_id}/messages`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/chat\n\n---","ref":"ExOpenAI.Chat.html#get_chat_completion_messages/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Chat.get_chat_completion_messages/2","doc":"- `completion_id`","ref":"ExOpenAI.Chat.html#get_chat_completion_messages/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Chat.get_chat_completion_messages/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `after`\n\n- `limit`\n\n- `order`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Chat.html#get_chat_completion_messages/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Chat.list_chat_completions/1","doc":"List stored Chat Completions. Only Chat Completions that have been stored\nwith the `store` parameter set to `true` will be returned.\n\n\nEndpoint: `https://api.openai.com/v1/chat/completions`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/chat\n\n---","ref":"ExOpenAI.Chat.html#list_chat_completions/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Chat.list_chat_completions/1","doc":"","ref":"ExOpenAI.Chat.html#list_chat_completions/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Chat.list_chat_completions/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `model`\n\n- `metadata`\n\n- `after`\n\n- `limit`\n\n- `order`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Chat.html#list_chat_completions/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Chat.update_chat_completion/2","doc":"Modify a stored chat completion. Only Chat Completions that have been\ncreated with the `store` parameter set to `true` can be modified. Currently,\nthe only supported modification is to update the `metadata` field.\n\n\nEndpoint: `https://api.openai.com/v1/chat/completions/{completion_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/chat\n\n---","ref":"ExOpenAI.Chat.html#update_chat_completion/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Chat.update_chat_completion/2","doc":"- `completion_id`","ref":"ExOpenAI.Chat.html#update_chat_completion/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Chat.update_chat_completion/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Chat.html#update_chat_completion/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Completions","doc":"Modules for interacting with the `completions` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/completions","ref":"ExOpenAI.Completions.html"},{"type":"function","title":"ExOpenAI.Completions.create_completion/3","doc":"Creates a completion for the provided prompt and parameters.\n\nEndpoint: `https://api.openai.com/v1/completions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/completions\n\n---","ref":"ExOpenAI.Completions.html#create_completion/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Completions.create_completion/3","doc":"- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models) for descriptions of them.\n\n\n- `prompt`: The prompt(s) to generate completions for, encoded as a string, array of strings, array of tokens, or array of token arrays.\n\nNote that <|endoftext|> is the document separator that the model sees during training, so if a prompt is not specified the model will generate as if from the beginning of a new document.","ref":"ExOpenAI.Completions.html#create_completion/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Completions.create_completion/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `best_of`: \"Generates `best_of` completions server-side and returns the \\\"best\\\" (the one with the highest log probability per token). Results cannot be streamed.\\n\\nWhen used with `n`, `best_of` controls the number of candidate completions and `n` specifies how many to return – `best_of` must be greater than `n`.\\n\\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens` and `stop`.\\n\"\n\n- `echo`: \"Echo back the prompt in addition to the completion\\n\"\n\n- `frequency_penalty`: \"Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.\\n\\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/text-generation)\\n\"\n\n- `logit_bias`: \"Modify the likelihood of specified tokens appearing in the completion.\\n\\nAccepts a JSON object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. You can use this [tokenizer tool](https://platform.openai.com/tokenizer?view=bpe) to convert text to token IDs. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.\\n\\nAs an example, you can pass `{\\\"50256\\\": -100}` to prevent the <|endoftext|> token from being generated.\\n\"\n\n- `logprobs`: \"Include the log probabilities on the `logprobs` most likely output tokens, as well the chosen tokens. For example, if `logprobs` is 5, the API will return a list of the 5 most likely tokens. The API will always return the `logprob` of the sampled token, so there may be up to `logprobs+1` elements in the response.\\n\\nThe maximum value for `logprobs` is 5.\\n\"\n\n- `max_tokens`: \"The maximum number of [tokens](https://platform.openai.com/tokenizer) that can be generated in the completion.\\n\\nThe token count of your prompt plus `max_tokens` cannot exceed the model's context length. [Example Python code](https://cookbook.openai.com/examples/how_to_count_tokens_with_tiktoken) for counting tokens.\\n\"\n\n*Example*: `16`\n\n- `n`: \"How many completions to generate for each prompt.\\n\\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens` and `stop`.\\n\"\n\n*Example*: `1`\n\n- `presence_penalty`: \"Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.\\n\\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/text-generation)\\n\"\n\n- `seed`: \"If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same `seed` and parameters should return the same result.\\n\\nDeterminism is not guaranteed, and you should refer to the `system_fingerprint` response parameter to monitor changes in the backend.\\n\"\n\n- `stop`: \"\"\n\n- `stream`: \"Whether to stream back partial progress. If set, tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-UShttps://platform.openai.com/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message. [Example Python code](https://cookbook.openai.com/examples/how_to_stream_completions).\\n\"\n\n- `stream_options`: \"\"\n\n- `suffix`: \"The suffix that comes after a completion of inserted text.\\n\\nThis parameter is only supported for `gpt-3.5-turbo-instruct`.\\n\"\n\n*Example*: `\"test.\"`\n\n- `temperature`: \"What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\\n\\nWe generally recommend altering this or `top_p` but not both.\\n\"\n\n*Example*: `1`\n\n- `top_p`: \"An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\\n\\nWe generally recommend altering this or `temperature` but not both.\\n\"\n\n*Example*: `1`\n\n- `user`: \"A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices#end-user-ids).\\n\"\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Completions.html#create_completion/3-optional-arguments"},{"type":"module","title":"ExOpenAI.Components.AddUploadPartRequest","doc":"Schema representing a AddUploadPartRequest within the OpenAI API","ref":"ExOpenAI.Components.AddUploadPartRequest.html"},{"type":"type","title":"ExOpenAI.Components.AddUploadPartRequest.t/0","doc":"","ref":"ExOpenAI.Components.AddUploadPartRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AdminApiKey","doc":"Schema representing a AdminApiKey within the OpenAI API","ref":"ExOpenAI.Components.AdminApiKey.html"},{"type":"type","title":"ExOpenAI.Components.AdminApiKey.t/0","doc":"","ref":"ExOpenAI.Components.AdminApiKey.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Annotation","doc":"Schema representing a Annotation within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"FileCitation\", component: \"UrlCitation\", component: \"FilePath\"]","ref":"ExOpenAI.Components.Annotation.html"},{"type":"type","title":"ExOpenAI.Components.Annotation.t/0","doc":"","ref":"ExOpenAI.Components.Annotation.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ApiKeyList","doc":"Schema representing a ApiKeyList within the OpenAI API","ref":"ExOpenAI.Components.ApiKeyList.html"},{"type":"type","title":"ExOpenAI.Components.ApiKeyList.t/0","doc":"","ref":"ExOpenAI.Components.ApiKeyList.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantObject","doc":"Schema representing a AssistantObject within the OpenAI API","ref":"ExOpenAI.Components.AssistantObject.html"},{"type":"type","title":"ExOpenAI.Components.AssistantObject.t/0","doc":"","ref":"ExOpenAI.Components.AssistantObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantStreamEvent","doc":"Schema representing a AssistantStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"ThreadStreamEvent\", component: \"RunStreamEvent\", component: \"RunStepStreamEvent\", component: \"MessageStreamEvent\", component: \"ErrorEvent\", component: \"DoneEvent\"]","ref":"ExOpenAI.Components.AssistantStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.AssistantStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.AssistantStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantSupportedModels","doc":"Schema representing a AssistantSupportedModels within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:\"o3-mini\", :\"o3-mini-2025-01-31\", :o1, :\"o1-2024-12-17\", :\"gpt-4o\", :\"gpt-4o-2024-11-20\", :\"gpt-4o-2024-08-06\", :\"gpt-4o-2024-05-13\", :\"gpt-4o-mini\", :\"gpt-4o-mini-2024-07-18\", :\"gpt-4.5-preview\", :\"gpt-4.5-preview-2025-02-27\", :\"gpt-4-turbo\", :\"gpt-4-turbo-2024-04-09\", :\"gpt-4-0125-preview\", :\"gpt-4-turbo-preview\", :\"gpt-4-1106-preview\", :\"gpt-4-vision-preview\", :\"gpt-4\", :\"gpt-4-0314\", :\"gpt-4-0613\", :\"gpt-4-32k\", :\"gpt-4-32k-0314\", :\"gpt-4-32k-0613\", :\"gpt-3.5-turbo\", :\"gpt-3.5-turbo-16k\", :\"gpt-3.5-turbo-0613\", :\"gpt-3.5-turbo-1106\", :\"gpt-3.5-turbo-0125\", :\"gpt-3.5-turbo-16k-0613\"]}","ref":"ExOpenAI.Components.AssistantSupportedModels.html"},{"type":"type","title":"ExOpenAI.Components.AssistantSupportedModels.t/0","doc":"","ref":"ExOpenAI.Components.AssistantSupportedModels.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantToolsCode","doc":"Schema representing a AssistantToolsCode within the OpenAI API","ref":"ExOpenAI.Components.AssistantToolsCode.html"},{"type":"type","title":"ExOpenAI.Components.AssistantToolsCode.t/0","doc":"","ref":"ExOpenAI.Components.AssistantToolsCode.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantToolsFileSearch","doc":"Schema representing a AssistantToolsFileSearch within the OpenAI API","ref":"ExOpenAI.Components.AssistantToolsFileSearch.html"},{"type":"type","title":"ExOpenAI.Components.AssistantToolsFileSearch.t/0","doc":"","ref":"ExOpenAI.Components.AssistantToolsFileSearch.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantToolsFileSearchTypeOnly","doc":"Schema representing a AssistantToolsFileSearchTypeOnly within the OpenAI API","ref":"ExOpenAI.Components.AssistantToolsFileSearchTypeOnly.html"},{"type":"type","title":"ExOpenAI.Components.AssistantToolsFileSearchTypeOnly.t/0","doc":"","ref":"ExOpenAI.Components.AssistantToolsFileSearchTypeOnly.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantToolsFunction","doc":"Schema representing a AssistantToolsFunction within the OpenAI API","ref":"ExOpenAI.Components.AssistantToolsFunction.html"},{"type":"type","title":"ExOpenAI.Components.AssistantToolsFunction.t/0","doc":"","ref":"ExOpenAI.Components.AssistantToolsFunction.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantsApiResponseFormatOption","doc":"Schema representing a AssistantsApiResponseFormatOption within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [enum: [:auto], component: \"ResponseFormatText\", component: \"ResponseFormatJsonObject\", component: \"ResponseFormatJsonSchema\"]","ref":"ExOpenAI.Components.AssistantsApiResponseFormatOption.html"},{"type":"type","title":"ExOpenAI.Components.AssistantsApiResponseFormatOption.t/0","doc":"","ref":"ExOpenAI.Components.AssistantsApiResponseFormatOption.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantsApiToolChoiceOption","doc":"Schema representing a AssistantsApiToolChoiceOption within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [enum: [:none, :auto, :required], component: \"AssistantsNamedToolChoice\"]","ref":"ExOpenAI.Components.AssistantsApiToolChoiceOption.html"},{"type":"type","title":"ExOpenAI.Components.AssistantsApiToolChoiceOption.t/0","doc":"","ref":"ExOpenAI.Components.AssistantsApiToolChoiceOption.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantsNamedToolChoice","doc":"Schema representing a AssistantsNamedToolChoice within the OpenAI API","ref":"ExOpenAI.Components.AssistantsNamedToolChoice.html"},{"type":"type","title":"ExOpenAI.Components.AssistantsNamedToolChoice.t/0","doc":"","ref":"ExOpenAI.Components.AssistantsNamedToolChoice.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AudioResponseFormat","doc":"Schema representing a AudioResponseFormat within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:json, :text, :srt, :verbose_json, :vtt]}","ref":"ExOpenAI.Components.AudioResponseFormat.html"},{"type":"type","title":"ExOpenAI.Components.AudioResponseFormat.t/0","doc":"","ref":"ExOpenAI.Components.AudioResponseFormat.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AuditLog","doc":"Schema representing a AuditLog within the OpenAI API","ref":"ExOpenAI.Components.AuditLog.html"},{"type":"type","title":"ExOpenAI.Components.AuditLog.t/0","doc":"","ref":"ExOpenAI.Components.AuditLog.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AuditLogActor","doc":"Schema representing a AuditLogActor within the OpenAI API","ref":"ExOpenAI.Components.AuditLogActor.html"},{"type":"type","title":"ExOpenAI.Components.AuditLogActor.t/0","doc":"","ref":"ExOpenAI.Components.AuditLogActor.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AuditLogActorApiKey","doc":"Schema representing a AuditLogActorApiKey within the OpenAI API","ref":"ExOpenAI.Components.AuditLogActorApiKey.html"},{"type":"type","title":"ExOpenAI.Components.AuditLogActorApiKey.t/0","doc":"","ref":"ExOpenAI.Components.AuditLogActorApiKey.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AuditLogActorServiceAccount","doc":"Schema representing a AuditLogActorServiceAccount within the OpenAI API","ref":"ExOpenAI.Components.AuditLogActorServiceAccount.html"},{"type":"type","title":"ExOpenAI.Components.AuditLogActorServiceAccount.t/0","doc":"","ref":"ExOpenAI.Components.AuditLogActorServiceAccount.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AuditLogActorSession","doc":"Schema representing a AuditLogActorSession within the OpenAI API","ref":"ExOpenAI.Components.AuditLogActorSession.html"},{"type":"type","title":"ExOpenAI.Components.AuditLogActorSession.t/0","doc":"","ref":"ExOpenAI.Components.AuditLogActorSession.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AuditLogActorUser","doc":"Schema representing a AuditLogActorUser within the OpenAI API","ref":"ExOpenAI.Components.AuditLogActorUser.html"},{"type":"type","title":"ExOpenAI.Components.AuditLogActorUser.t/0","doc":"","ref":"ExOpenAI.Components.AuditLogActorUser.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AuditLogEventType","doc":"Schema representing a AuditLogEventType within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:\"api_key.created\", :\"api_key.updated\", :\"api_key.deleted\", :\"invite.sent\", :\"invite.accepted\", :\"invite.deleted\", :\"login.succeeded\", :\"login.failed\", :\"logout.succeeded\", :\"logout.failed\", :\"organization.updated\", :\"project.created\", :\"project.updated\", :\"project.archived\", :\"service_account.created\", :\"service_account.updated\", :\"service_account.deleted\", :\"rate_limit.updated\", :\"rate_limit.deleted\", :\"user.added\", :\"user.updated\", :\"user.deleted\"]}","ref":"ExOpenAI.Components.AuditLogEventType.html"},{"type":"type","title":"ExOpenAI.Components.AuditLogEventType.t/0","doc":"","ref":"ExOpenAI.Components.AuditLogEventType.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AutoChunkingStrategyRequestParam","doc":"Schema representing a AutoChunkingStrategyRequestParam within the OpenAI API","ref":"ExOpenAI.Components.AutoChunkingStrategyRequestParam.html"},{"type":"type","title":"ExOpenAI.Components.AutoChunkingStrategyRequestParam.t/0","doc":"","ref":"ExOpenAI.Components.AutoChunkingStrategyRequestParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Batch","doc":"Schema representing a Batch within the OpenAI API","ref":"ExOpenAI.Components.Batch.html"},{"type":"type","title":"ExOpenAI.Components.Batch.t/0","doc":"","ref":"ExOpenAI.Components.Batch.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.BatchRequestInput","doc":"Schema representing a BatchRequestInput within the OpenAI API","ref":"ExOpenAI.Components.BatchRequestInput.html"},{"type":"type","title":"ExOpenAI.Components.BatchRequestInput.t/0","doc":"","ref":"ExOpenAI.Components.BatchRequestInput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.BatchRequestOutput","doc":"Schema representing a BatchRequestOutput within the OpenAI API","ref":"ExOpenAI.Components.BatchRequestOutput.html"},{"type":"type","title":"ExOpenAI.Components.BatchRequestOutput.t/0","doc":"","ref":"ExOpenAI.Components.BatchRequestOutput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CancelUploadRequest","doc":"Schema representing a CancelUploadRequest within the OpenAI API","ref":"ExOpenAI.Components.CancelUploadRequest.html"},{"type":"type","title":"ExOpenAI.Components.CancelUploadRequest.t/0","doc":"","ref":"ExOpenAI.Components.CancelUploadRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionDeleted","doc":"Schema representing a ChatCompletionDeleted within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionDeleted.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionDeleted.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionDeleted.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionFunctionCallOption","doc":"Schema representing a ChatCompletionFunctionCallOption within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionFunctionCallOption.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionFunctionCallOption.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionFunctionCallOption.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionFunctions","doc":"Schema representing a ChatCompletionFunctions within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionFunctions.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionFunctions.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionFunctions.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionList","doc":"Schema representing a ChatCompletionList within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionList.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionList.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionList.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionMessageList","doc":"Schema representing a ChatCompletionMessageList within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionMessageList.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionMessageList.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionMessageList.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionMessageToolCall","doc":"Schema representing a ChatCompletionMessageToolCall within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionMessageToolCall.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionMessageToolCall.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionMessageToolCall.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionMessageToolCallChunk","doc":"Schema representing a ChatCompletionMessageToolCallChunk within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionMessageToolCallChunk.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionMessageToolCallChunk.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionMessageToolCallChunk.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionMessageToolCalls","doc":"Schema representing a ChatCompletionMessageToolCalls within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionMessageToolCalls.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionMessageToolCalls.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionMessageToolCalls.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionModalities","doc":"Schema representing a ChatCompletionModalities within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionModalities.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionModalities.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionModalities.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionNamedToolChoice","doc":"Schema representing a ChatCompletionNamedToolChoice within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionNamedToolChoice.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionNamedToolChoice.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionNamedToolChoice.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestAssistantMessage","doc":"Schema representing a ChatCompletionRequestAssistantMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestAssistantMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestAssistantMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestAssistantMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestAssistantMessageContentPart","doc":"Schema representing a ChatCompletionRequestAssistantMessageContentPart within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"ChatCompletionRequestMessageContentPartText\", component: \"ChatCompletionRequestMessageContentPartRefusal\"]","ref":"ExOpenAI.Components.ChatCompletionRequestAssistantMessageContentPart.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestAssistantMessageContentPart.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestAssistantMessageContentPart.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestDeveloperMessage","doc":"Schema representing a ChatCompletionRequestDeveloperMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestDeveloperMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestDeveloperMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestDeveloperMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestFunctionMessage","doc":"Schema representing a ChatCompletionRequestFunctionMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestFunctionMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestFunctionMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestFunctionMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessage","doc":"Schema representing a ChatCompletionRequestMessage within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"ChatCompletionRequestDeveloperMessage\", component: \"ChatCompletionRequestSystemMessage\", component: \"ChatCompletionRequestUserMessage\", component: \"ChatCompletionRequestAssistantMessage\", component: \"ChatCompletionRequestToolMessage\", component: \"ChatCompletionRequestFunctionMessage\"]","ref":"ExOpenAI.Components.ChatCompletionRequestMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartAudio","doc":"Schema representing a ChatCompletionRequestMessageContentPartAudio within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartAudio.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartAudio.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartAudio.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartFile","doc":"Schema representing a ChatCompletionRequestMessageContentPartFile within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartFile.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartFile.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartFile.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartImage","doc":"Schema representing a ChatCompletionRequestMessageContentPartImage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartImage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartImage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartImage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartRefusal","doc":"Schema representing a ChatCompletionRequestMessageContentPartRefusal within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartRefusal.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartRefusal.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartRefusal.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartText","doc":"Schema representing a ChatCompletionRequestMessageContentPartText within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartText.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartText.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartText.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestSystemMessage","doc":"Schema representing a ChatCompletionRequestSystemMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestSystemMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestSystemMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestSystemMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestSystemMessageContentPart","doc":"Schema representing a ChatCompletionRequestSystemMessageContentPart within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"ChatCompletionRequestMessageContentPartText\"]","ref":"ExOpenAI.Components.ChatCompletionRequestSystemMessageContentPart.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestSystemMessageContentPart.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestSystemMessageContentPart.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestToolMessage","doc":"Schema representing a ChatCompletionRequestToolMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestToolMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestToolMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestToolMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestToolMessageContentPart","doc":"Schema representing a ChatCompletionRequestToolMessageContentPart within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"ChatCompletionRequestMessageContentPartText\"]","ref":"ExOpenAI.Components.ChatCompletionRequestToolMessageContentPart.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestToolMessageContentPart.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestToolMessageContentPart.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestUserMessage","doc":"Schema representing a ChatCompletionRequestUserMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestUserMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestUserMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestUserMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestUserMessageContentPart","doc":"Schema representing a ChatCompletionRequestUserMessageContentPart within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"ChatCompletionRequestMessageContentPartText\", component: \"ChatCompletionRequestMessageContentPartImage\", component: \"ChatCompletionRequestMessageContentPartAudio\", component: \"ChatCompletionRequestMessageContentPartFile\"]","ref":"ExOpenAI.Components.ChatCompletionRequestUserMessageContentPart.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestUserMessageContentPart.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestUserMessageContentPart.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionResponseMessage","doc":"Schema representing a ChatCompletionResponseMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionResponseMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionResponseMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionResponseMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRole","doc":"Schema representing a ChatCompletionRole within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:developer, :system, :user, :assistant, :tool, :function]}","ref":"ExOpenAI.Components.ChatCompletionRole.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRole.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRole.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionStreamOptions","doc":"Schema representing a ChatCompletionStreamOptions within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionStreamOptions.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionStreamOptions.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionStreamOptions.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionStreamResponseDelta","doc":"Schema representing a ChatCompletionStreamResponseDelta within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionTokenLogprob","doc":"Schema representing a ChatCompletionTokenLogprob within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionTokenLogprob.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionTokenLogprob.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionTokenLogprob.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionTool","doc":"Schema representing a ChatCompletionTool within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionTool.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionTool.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionTool.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionToolChoiceOption","doc":"Schema representing a ChatCompletionToolChoiceOption within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [enum: [:none, :auto, :required], component: \"ChatCompletionNamedToolChoice\"]","ref":"ExOpenAI.Components.ChatCompletionToolChoiceOption.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionToolChoiceOption.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionToolChoiceOption.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChunkingStrategyRequestParam","doc":"Schema representing a ChunkingStrategyRequestParam within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"AutoChunkingStrategyRequestParam\", component: \"StaticChunkingStrategyRequestParam\"]","ref":"ExOpenAI.Components.ChunkingStrategyRequestParam.html"},{"type":"type","title":"ExOpenAI.Components.ChunkingStrategyRequestParam.t/0","doc":"","ref":"ExOpenAI.Components.ChunkingStrategyRequestParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Click","doc":"Schema representing a Click within the OpenAI API","ref":"ExOpenAI.Components.Click.html"},{"type":"type","title":"ExOpenAI.Components.Click.t/0","doc":"","ref":"ExOpenAI.Components.Click.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CodeInterpreterFileOutput","doc":"Schema representing a CodeInterpreterFileOutput within the OpenAI API","ref":"ExOpenAI.Components.CodeInterpreterFileOutput.html"},{"type":"type","title":"ExOpenAI.Components.CodeInterpreterFileOutput.t/0","doc":"","ref":"ExOpenAI.Components.CodeInterpreterFileOutput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CodeInterpreterTextOutput","doc":"Schema representing a CodeInterpreterTextOutput within the OpenAI API","ref":"ExOpenAI.Components.CodeInterpreterTextOutput.html"},{"type":"type","title":"ExOpenAI.Components.CodeInterpreterTextOutput.t/0","doc":"","ref":"ExOpenAI.Components.CodeInterpreterTextOutput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CodeInterpreterTool","doc":"Schema representing a CodeInterpreterTool within the OpenAI API","ref":"ExOpenAI.Components.CodeInterpreterTool.html"},{"type":"type","title":"ExOpenAI.Components.CodeInterpreterTool.t/0","doc":"","ref":"ExOpenAI.Components.CodeInterpreterTool.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CodeInterpreterToolCall","doc":"Schema representing a CodeInterpreterToolCall within the OpenAI API","ref":"ExOpenAI.Components.CodeInterpreterToolCall.html"},{"type":"type","title":"ExOpenAI.Components.CodeInterpreterToolCall.t/0","doc":"","ref":"ExOpenAI.Components.CodeInterpreterToolCall.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CodeInterpreterToolOutput","doc":"Schema representing a CodeInterpreterToolOutput within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"CodeInterpreterTextOutput\", component: \"CodeInterpreterFileOutput\"]","ref":"ExOpenAI.Components.CodeInterpreterToolOutput.html"},{"type":"type","title":"ExOpenAI.Components.CodeInterpreterToolOutput.t/0","doc":"","ref":"ExOpenAI.Components.CodeInterpreterToolOutput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ComparisonFilter","doc":"Schema representing a ComparisonFilter within the OpenAI API","ref":"ExOpenAI.Components.ComparisonFilter.html"},{"type":"type","title":"ExOpenAI.Components.ComparisonFilter.t/0","doc":"","ref":"ExOpenAI.Components.ComparisonFilter.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CompleteUploadRequest","doc":"Schema representing a CompleteUploadRequest within the OpenAI API","ref":"ExOpenAI.Components.CompleteUploadRequest.html"},{"type":"type","title":"ExOpenAI.Components.CompleteUploadRequest.t/0","doc":"","ref":"ExOpenAI.Components.CompleteUploadRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CompletionUsage","doc":"Schema representing a CompletionUsage within the OpenAI API","ref":"ExOpenAI.Components.CompletionUsage.html"},{"type":"type","title":"ExOpenAI.Components.CompletionUsage.t/0","doc":"","ref":"ExOpenAI.Components.CompletionUsage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CompoundFilter","doc":"Schema representing a CompoundFilter within the OpenAI API","ref":"ExOpenAI.Components.CompoundFilter.html"},{"type":"type","title":"ExOpenAI.Components.CompoundFilter.t/0","doc":"","ref":"ExOpenAI.Components.CompoundFilter.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ComputerAction","doc":"Schema representing a ComputerAction within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"Click\", component: \"DoubleClick\", component: \"Drag\", component: \"KeyPress\", component: \"Move\", component: \"Screenshot\", component: \"Scroll\", component: \"Type\", component: \"Wait\"]","ref":"ExOpenAI.Components.ComputerAction.html"},{"type":"type","title":"ExOpenAI.Components.ComputerAction.t/0","doc":"","ref":"ExOpenAI.Components.ComputerAction.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ComputerScreenshotImage","doc":"Schema representing a ComputerScreenshotImage within the OpenAI API","ref":"ExOpenAI.Components.ComputerScreenshotImage.html"},{"type":"type","title":"ExOpenAI.Components.ComputerScreenshotImage.t/0","doc":"","ref":"ExOpenAI.Components.ComputerScreenshotImage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ComputerTool","doc":"Schema representing a ComputerTool within the OpenAI API","ref":"ExOpenAI.Components.ComputerTool.html"},{"type":"type","title":"ExOpenAI.Components.ComputerTool.t/0","doc":"","ref":"ExOpenAI.Components.ComputerTool.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ComputerToolCall","doc":"Schema representing a ComputerToolCall within the OpenAI API","ref":"ExOpenAI.Components.ComputerToolCall.html"},{"type":"type","title":"ExOpenAI.Components.ComputerToolCall.t/0","doc":"","ref":"ExOpenAI.Components.ComputerToolCall.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ComputerToolCallOutput","doc":"Schema representing a ComputerToolCallOutput within the OpenAI API","ref":"ExOpenAI.Components.ComputerToolCallOutput.html"},{"type":"type","title":"ExOpenAI.Components.ComputerToolCallOutput.t/0","doc":"","ref":"ExOpenAI.Components.ComputerToolCallOutput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ComputerToolCallOutputResource","doc":"Schema representing a ComputerToolCallOutputResource within the OpenAI API","ref":"ExOpenAI.Components.ComputerToolCallOutputResource.html"},{"type":"type","title":"ExOpenAI.Components.ComputerToolCallOutputResource.t/0","doc":"","ref":"ExOpenAI.Components.ComputerToolCallOutputResource.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ComputerToolCallSafetyCheck","doc":"Schema representing a ComputerToolCallSafetyCheck within the OpenAI API","ref":"ExOpenAI.Components.ComputerToolCallSafetyCheck.html"},{"type":"type","title":"ExOpenAI.Components.ComputerToolCallSafetyCheck.t/0","doc":"","ref":"ExOpenAI.Components.ComputerToolCallSafetyCheck.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Content","doc":"Schema representing a Content within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"InputContent\", component: \"OutputContent\"]","ref":"ExOpenAI.Components.Content.html"},{"type":"type","title":"ExOpenAI.Components.Content.t/0","doc":"","ref":"ExOpenAI.Components.Content.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Coordinate","doc":"Schema representing a Coordinate within the OpenAI API","ref":"ExOpenAI.Components.Coordinate.html"},{"type":"type","title":"ExOpenAI.Components.Coordinate.t/0","doc":"","ref":"ExOpenAI.Components.Coordinate.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CostsResult","doc":"Schema representing a CostsResult within the OpenAI API","ref":"ExOpenAI.Components.CostsResult.html"},{"type":"type","title":"ExOpenAI.Components.CostsResult.t/0","doc":"","ref":"ExOpenAI.Components.CostsResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateAssistantRequest","doc":"Schema representing a CreateAssistantRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateAssistantRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateAssistantRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateAssistantRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionFunctionResponse","doc":"Schema representing a CreateChatCompletionFunctionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionFunctionResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionFunctionResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionFunctionResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionImageResponse","doc":"Schema representing a CreateChatCompletionImageResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionImageResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionImageResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionImageResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionRequest","doc":"Schema representing a CreateChatCompletionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionResponse","doc":"Schema representing a CreateChatCompletionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionStreamResponse","doc":"Schema representing a CreateChatCompletionStreamResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionStreamResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionStreamResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionStreamResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateCompletionRequest","doc":"Schema representing a CreateCompletionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateCompletionRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateCompletionRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateCompletionRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateCompletionResponse","doc":"Schema representing a CreateCompletionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateCompletionResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateCompletionResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateCompletionResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateEmbeddingRequest","doc":"Schema representing a CreateEmbeddingRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateEmbeddingRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateEmbeddingRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateEmbeddingRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateEmbeddingResponse","doc":"Schema representing a CreateEmbeddingResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateEmbeddingResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateEmbeddingResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateEmbeddingResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateFileRequest","doc":"Schema representing a CreateFileRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFileRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateFileRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateFileRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateFineTuningJobRequest","doc":"Schema representing a CreateFineTuningJobRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFineTuningJobRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateFineTuningJobRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateFineTuningJobRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateImageEditRequest","doc":"Schema representing a CreateImageEditRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageEditRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateImageEditRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateImageEditRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateImageRequest","doc":"Schema representing a CreateImageRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateImageRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateImageRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateImageVariationRequest","doc":"Schema representing a CreateImageVariationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageVariationRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateImageVariationRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateImageVariationRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateMessageRequest","doc":"Schema representing a CreateMessageRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateMessageRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateMessageRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateMessageRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateModelResponseProperties","doc":"Schema representing a CreateModelResponseProperties within the OpenAI API","ref":"ExOpenAI.Components.CreateModelResponseProperties.html"},{"type":"type","title":"ExOpenAI.Components.CreateModelResponseProperties.t/0","doc":"","ref":"ExOpenAI.Components.CreateModelResponseProperties.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateModerationRequest","doc":"Schema representing a CreateModerationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateModerationRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateModerationRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateModerationRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateModerationResponse","doc":"Schema representing a CreateModerationResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateModerationResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateModerationResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateModerationResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateResponse","doc":"Schema representing a CreateResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateRunRequest","doc":"Schema representing a CreateRunRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateRunRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateRunRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateRunRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateSpeechRequest","doc":"Schema representing a CreateSpeechRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateSpeechRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateSpeechRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateSpeechRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateThreadAndRunRequest","doc":"Schema representing a CreateThreadAndRunRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateThreadAndRunRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateThreadAndRunRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateThreadAndRunRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateThreadRequest","doc":"Schema representing a CreateThreadRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateThreadRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateThreadRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateThreadRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranscriptionRequest","doc":"Schema representing a CreateTranscriptionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranscriptionRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranscriptionRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranscriptionResponseJson","doc":"Schema representing a CreateTranscriptionResponseJson within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionResponseJson.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranscriptionResponseJson.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranscriptionResponseJson.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranscriptionResponseVerboseJson","doc":"Schema representing a CreateTranscriptionResponseVerboseJson within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionResponseVerboseJson.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranscriptionResponseVerboseJson.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranscriptionResponseVerboseJson.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranslationRequest","doc":"Schema representing a CreateTranslationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranslationRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranslationRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranslationResponseJson","doc":"Schema representing a CreateTranslationResponseJson within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationResponseJson.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranslationResponseJson.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranslationResponseJson.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranslationResponseVerboseJson","doc":"Schema representing a CreateTranslationResponseVerboseJson within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationResponseVerboseJson.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranslationResponseVerboseJson.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranslationResponseVerboseJson.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateUploadRequest","doc":"Schema representing a CreateUploadRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateUploadRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateUploadRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateUploadRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateVectorStoreFileBatchRequest","doc":"Schema representing a CreateVectorStoreFileBatchRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateVectorStoreFileBatchRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateVectorStoreFileBatchRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateVectorStoreFileBatchRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateVectorStoreFileRequest","doc":"Schema representing a CreateVectorStoreFileRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateVectorStoreFileRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateVectorStoreFileRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateVectorStoreFileRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateVectorStoreRequest","doc":"Schema representing a CreateVectorStoreRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateVectorStoreRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateVectorStoreRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateVectorStoreRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DefaultProjectErrorResponse","doc":"Schema representing a DefaultProjectErrorResponse within the OpenAI API","ref":"ExOpenAI.Components.DefaultProjectErrorResponse.html"},{"type":"type","title":"ExOpenAI.Components.DefaultProjectErrorResponse.t/0","doc":"","ref":"ExOpenAI.Components.DefaultProjectErrorResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteAssistantResponse","doc":"Schema representing a DeleteAssistantResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteAssistantResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteAssistantResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteAssistantResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteFileResponse","doc":"Schema representing a DeleteFileResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteFileResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteFileResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteFileResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteMessageResponse","doc":"Schema representing a DeleteMessageResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteMessageResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteMessageResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteMessageResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteModelResponse","doc":"Schema representing a DeleteModelResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteModelResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteModelResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteModelResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteThreadResponse","doc":"Schema representing a DeleteThreadResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteThreadResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteThreadResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteThreadResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteVectorStoreFileResponse","doc":"Schema representing a DeleteVectorStoreFileResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteVectorStoreFileResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteVectorStoreFileResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteVectorStoreFileResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteVectorStoreResponse","doc":"Schema representing a DeleteVectorStoreResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteVectorStoreResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteVectorStoreResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteVectorStoreResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DoneEvent","doc":"Schema representing a DoneEvent within the OpenAI API","ref":"ExOpenAI.Components.DoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.DoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.DoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DoubleClick","doc":"Schema representing a DoubleClick within the OpenAI API","ref":"ExOpenAI.Components.DoubleClick.html"},{"type":"type","title":"ExOpenAI.Components.DoubleClick.t/0","doc":"","ref":"ExOpenAI.Components.DoubleClick.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Drag","doc":"Schema representing a Drag within the OpenAI API","ref":"ExOpenAI.Components.Drag.html"},{"type":"type","title":"ExOpenAI.Components.Drag.t/0","doc":"","ref":"ExOpenAI.Components.Drag.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.EasyInputMessage","doc":"Schema representing a EasyInputMessage within the OpenAI API","ref":"ExOpenAI.Components.EasyInputMessage.html"},{"type":"type","title":"ExOpenAI.Components.EasyInputMessage.t/0","doc":"","ref":"ExOpenAI.Components.EasyInputMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Embedding","doc":"Schema representing a Embedding within the OpenAI API","ref":"ExOpenAI.Components.Embedding.html"},{"type":"type","title":"ExOpenAI.Components.Embedding.t/0","doc":"","ref":"ExOpenAI.Components.Embedding.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Error","doc":"Schema representing a Error within the OpenAI API","ref":"ExOpenAI.Components.Error.html"},{"type":"type","title":"ExOpenAI.Components.Error.t/0","doc":"","ref":"ExOpenAI.Components.Error.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ErrorEvent","doc":"Schema representing a ErrorEvent within the OpenAI API","ref":"ExOpenAI.Components.ErrorEvent.html"},{"type":"type","title":"ExOpenAI.Components.ErrorEvent.t/0","doc":"","ref":"ExOpenAI.Components.ErrorEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ErrorResponse","doc":"Schema representing a ErrorResponse within the OpenAI API","ref":"ExOpenAI.Components.ErrorResponse.html"},{"type":"type","title":"ExOpenAI.Components.ErrorResponse.t/0","doc":"","ref":"ExOpenAI.Components.ErrorResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FileCitation","doc":"Schema representing a FileCitation within the OpenAI API","ref":"ExOpenAI.Components.FileCitation.html"},{"type":"type","title":"ExOpenAI.Components.FileCitation.t/0","doc":"","ref":"ExOpenAI.Components.FileCitation.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FilePath","doc":"Schema representing a FilePath within the OpenAI API","ref":"ExOpenAI.Components.FilePath.html"},{"type":"type","title":"ExOpenAI.Components.FilePath.t/0","doc":"","ref":"ExOpenAI.Components.FilePath.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FileSearchRanker","doc":"Schema representing a FileSearchRanker within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:auto, :default_2024_08_21]}","ref":"ExOpenAI.Components.FileSearchRanker.html"},{"type":"type","title":"ExOpenAI.Components.FileSearchRanker.t/0","doc":"","ref":"ExOpenAI.Components.FileSearchRanker.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FileSearchRankingOptions","doc":"Schema representing a FileSearchRankingOptions within the OpenAI API","ref":"ExOpenAI.Components.FileSearchRankingOptions.html"},{"type":"type","title":"ExOpenAI.Components.FileSearchRankingOptions.t/0","doc":"","ref":"ExOpenAI.Components.FileSearchRankingOptions.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FileSearchTool","doc":"Schema representing a FileSearchTool within the OpenAI API","ref":"ExOpenAI.Components.FileSearchTool.html"},{"type":"type","title":"ExOpenAI.Components.FileSearchTool.t/0","doc":"","ref":"ExOpenAI.Components.FileSearchTool.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FileSearchToolCall","doc":"Schema representing a FileSearchToolCall within the OpenAI API","ref":"ExOpenAI.Components.FileSearchToolCall.html"},{"type":"type","title":"ExOpenAI.Components.FileSearchToolCall.t/0","doc":"","ref":"ExOpenAI.Components.FileSearchToolCall.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuneChatCompletionRequestAssistantMessage","doc":"Schema representing a FineTuneChatCompletionRequestAssistantMessage within the OpenAI API","ref":"ExOpenAI.Components.FineTuneChatCompletionRequestAssistantMessage.html"},{"type":"type","title":"ExOpenAI.Components.FineTuneChatCompletionRequestAssistantMessage.t/0","doc":"","ref":"ExOpenAI.Components.FineTuneChatCompletionRequestAssistantMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuneChatRequestInput","doc":"Schema representing a FineTuneChatRequestInput within the OpenAI API","ref":"ExOpenAI.Components.FineTuneChatRequestInput.html"},{"type":"type","title":"ExOpenAI.Components.FineTuneChatRequestInput.t/0","doc":"","ref":"ExOpenAI.Components.FineTuneChatRequestInput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuneCompletionRequestInput","doc":"Schema representing a FineTuneCompletionRequestInput within the OpenAI API","ref":"ExOpenAI.Components.FineTuneCompletionRequestInput.html"},{"type":"type","title":"ExOpenAI.Components.FineTuneCompletionRequestInput.t/0","doc":"","ref":"ExOpenAI.Components.FineTuneCompletionRequestInput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuneDPOMethod","doc":"Schema representing a FineTuneDPOMethod within the OpenAI API","ref":"ExOpenAI.Components.FineTuneDPOMethod.html"},{"type":"type","title":"ExOpenAI.Components.FineTuneDPOMethod.t/0","doc":"","ref":"ExOpenAI.Components.FineTuneDPOMethod.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuneMethod","doc":"Schema representing a FineTuneMethod within the OpenAI API","ref":"ExOpenAI.Components.FineTuneMethod.html"},{"type":"type","title":"ExOpenAI.Components.FineTuneMethod.t/0","doc":"","ref":"ExOpenAI.Components.FineTuneMethod.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTunePreferenceRequestInput","doc":"Schema representing a FineTunePreferenceRequestInput within the OpenAI API","ref":"ExOpenAI.Components.FineTunePreferenceRequestInput.html"},{"type":"type","title":"ExOpenAI.Components.FineTunePreferenceRequestInput.t/0","doc":"","ref":"ExOpenAI.Components.FineTunePreferenceRequestInput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuneSupervisedMethod","doc":"Schema representing a FineTuneSupervisedMethod within the OpenAI API","ref":"ExOpenAI.Components.FineTuneSupervisedMethod.html"},{"type":"type","title":"ExOpenAI.Components.FineTuneSupervisedMethod.t/0","doc":"","ref":"ExOpenAI.Components.FineTuneSupervisedMethod.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuningIntegration","doc":"Schema representing a FineTuningIntegration within the OpenAI API","ref":"ExOpenAI.Components.FineTuningIntegration.html"},{"type":"type","title":"ExOpenAI.Components.FineTuningIntegration.t/0","doc":"","ref":"ExOpenAI.Components.FineTuningIntegration.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuningJob","doc":"Schema representing a FineTuningJob within the OpenAI API","ref":"ExOpenAI.Components.FineTuningJob.html"},{"type":"type","title":"ExOpenAI.Components.FineTuningJob.t/0","doc":"","ref":"ExOpenAI.Components.FineTuningJob.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuningJobCheckpoint","doc":"Schema representing a FineTuningJobCheckpoint within the OpenAI API","ref":"ExOpenAI.Components.FineTuningJobCheckpoint.html"},{"type":"type","title":"ExOpenAI.Components.FineTuningJobCheckpoint.t/0","doc":"","ref":"ExOpenAI.Components.FineTuningJobCheckpoint.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuningJobEvent","doc":"Schema representing a FineTuningJobEvent within the OpenAI API","ref":"ExOpenAI.Components.FineTuningJobEvent.html"},{"type":"type","title":"ExOpenAI.Components.FineTuningJobEvent.t/0","doc":"","ref":"ExOpenAI.Components.FineTuningJobEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FunctionObject","doc":"Schema representing a FunctionObject within the OpenAI API","ref":"ExOpenAI.Components.FunctionObject.html"},{"type":"type","title":"ExOpenAI.Components.FunctionObject.t/0","doc":"","ref":"ExOpenAI.Components.FunctionObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FunctionParameters","doc":"Schema representing a FunctionParameters within the OpenAI API","ref":"ExOpenAI.Components.FunctionParameters.html"},{"type":"type","title":"ExOpenAI.Components.FunctionParameters.t/0","doc":"","ref":"ExOpenAI.Components.FunctionParameters.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FunctionTool","doc":"Schema representing a FunctionTool within the OpenAI API","ref":"ExOpenAI.Components.FunctionTool.html"},{"type":"type","title":"ExOpenAI.Components.FunctionTool.t/0","doc":"","ref":"ExOpenAI.Components.FunctionTool.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FunctionToolCall","doc":"Schema representing a FunctionToolCall within the OpenAI API","ref":"ExOpenAI.Components.FunctionToolCall.html"},{"type":"type","title":"ExOpenAI.Components.FunctionToolCall.t/0","doc":"","ref":"ExOpenAI.Components.FunctionToolCall.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FunctionToolCallOutput","doc":"Schema representing a FunctionToolCallOutput within the OpenAI API","ref":"ExOpenAI.Components.FunctionToolCallOutput.html"},{"type":"type","title":"ExOpenAI.Components.FunctionToolCallOutput.t/0","doc":"","ref":"ExOpenAI.Components.FunctionToolCallOutput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FunctionToolCallOutputResource","doc":"Schema representing a FunctionToolCallOutputResource within the OpenAI API","ref":"ExOpenAI.Components.FunctionToolCallOutputResource.html"},{"type":"type","title":"ExOpenAI.Components.FunctionToolCallOutputResource.t/0","doc":"","ref":"ExOpenAI.Components.FunctionToolCallOutputResource.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Image","doc":"Schema representing a Image within the OpenAI API","ref":"ExOpenAI.Components.Image.html"},{"type":"type","title":"ExOpenAI.Components.Image.t/0","doc":"","ref":"ExOpenAI.Components.Image.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ImagesResponse","doc":"Schema representing a ImagesResponse within the OpenAI API","ref":"ExOpenAI.Components.ImagesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ImagesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ImagesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Includable","doc":"Schema representing a Includable within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:\"file_search_call.results\", :\"message.input_image.image_url\", :\"computer_call_output.output.image_url\"]}","ref":"ExOpenAI.Components.Includable.html"},{"type":"type","title":"ExOpenAI.Components.Includable.t/0","doc":"","ref":"ExOpenAI.Components.Includable.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputAudio","doc":"Schema representing a InputAudio within the OpenAI API","ref":"ExOpenAI.Components.InputAudio.html"},{"type":"type","title":"ExOpenAI.Components.InputAudio.t/0","doc":"","ref":"ExOpenAI.Components.InputAudio.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputContent","doc":"Schema representing a InputContent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"InputText\", component: \"InputImage\", component: \"InputFile\"]","ref":"ExOpenAI.Components.InputContent.html"},{"type":"type","title":"ExOpenAI.Components.InputContent.t/0","doc":"","ref":"ExOpenAI.Components.InputContent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputFile","doc":"Schema representing a InputFile within the OpenAI API","ref":"ExOpenAI.Components.InputFile.html"},{"type":"type","title":"ExOpenAI.Components.InputFile.t/0","doc":"","ref":"ExOpenAI.Components.InputFile.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputImage","doc":"Schema representing a InputImage within the OpenAI API","ref":"ExOpenAI.Components.InputImage.html"},{"type":"type","title":"ExOpenAI.Components.InputImage.t/0","doc":"","ref":"ExOpenAI.Components.InputImage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputItem","doc":"Schema representing a InputItem within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"EasyInputMessage\", component: \"Item\", component: \"ItemReference\"]","ref":"ExOpenAI.Components.InputItem.html"},{"type":"type","title":"ExOpenAI.Components.InputItem.t/0","doc":"","ref":"ExOpenAI.Components.InputItem.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputMessage","doc":"Schema representing a InputMessage within the OpenAI API","ref":"ExOpenAI.Components.InputMessage.html"},{"type":"type","title":"ExOpenAI.Components.InputMessage.t/0","doc":"","ref":"ExOpenAI.Components.InputMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputMessageContentList","doc":"Schema representing a InputMessageContentList within the OpenAI API","ref":"ExOpenAI.Components.InputMessageContentList.html"},{"type":"type","title":"ExOpenAI.Components.InputMessageContentList.t/0","doc":"","ref":"ExOpenAI.Components.InputMessageContentList.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputMessageResource","doc":"Schema representing a InputMessageResource within the OpenAI API","ref":"ExOpenAI.Components.InputMessageResource.html"},{"type":"type","title":"ExOpenAI.Components.InputMessageResource.t/0","doc":"","ref":"ExOpenAI.Components.InputMessageResource.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InputText","doc":"Schema representing a InputText within the OpenAI API","ref":"ExOpenAI.Components.InputText.html"},{"type":"type","title":"ExOpenAI.Components.InputText.t/0","doc":"","ref":"ExOpenAI.Components.InputText.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Invite","doc":"Schema representing a Invite within the OpenAI API","ref":"ExOpenAI.Components.Invite.html"},{"type":"type","title":"ExOpenAI.Components.Invite.t/0","doc":"","ref":"ExOpenAI.Components.Invite.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InviteDeleteResponse","doc":"Schema representing a InviteDeleteResponse within the OpenAI API","ref":"ExOpenAI.Components.InviteDeleteResponse.html"},{"type":"type","title":"ExOpenAI.Components.InviteDeleteResponse.t/0","doc":"","ref":"ExOpenAI.Components.InviteDeleteResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InviteListResponse","doc":"Schema representing a InviteListResponse within the OpenAI API","ref":"ExOpenAI.Components.InviteListResponse.html"},{"type":"type","title":"ExOpenAI.Components.InviteListResponse.t/0","doc":"","ref":"ExOpenAI.Components.InviteListResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.InviteRequest","doc":"Schema representing a InviteRequest within the OpenAI API","ref":"ExOpenAI.Components.InviteRequest.html"},{"type":"type","title":"ExOpenAI.Components.InviteRequest.t/0","doc":"","ref":"ExOpenAI.Components.InviteRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Item","doc":"Schema representing a Item within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"InputMessage\", component: \"OutputMessage\", component: \"FileSearchToolCall\", component: \"ComputerToolCall\", component: \"ComputerToolCallOutput\", component: \"WebSearchToolCall\", component: \"FunctionToolCall\", component: \"FunctionToolCallOutput\", component: \"ReasoningItem\"]","ref":"ExOpenAI.Components.Item.html"},{"type":"type","title":"ExOpenAI.Components.Item.t/0","doc":"","ref":"ExOpenAI.Components.Item.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ItemReference","doc":"Schema representing a ItemReference within the OpenAI API","ref":"ExOpenAI.Components.ItemReference.html"},{"type":"type","title":"ExOpenAI.Components.ItemReference.t/0","doc":"","ref":"ExOpenAI.Components.ItemReference.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ItemResource","doc":"Schema representing a ItemResource within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"InputMessageResource\", component: \"OutputMessage\", component: \"FileSearchToolCall\", component: \"ComputerToolCall\", component: \"ComputerToolCallOutputResource\", component: \"WebSearchToolCall\", component: \"FunctionToolCall\", component: \"FunctionToolCallOutputResource\"]","ref":"ExOpenAI.Components.ItemResource.html"},{"type":"type","title":"ExOpenAI.Components.ItemResource.t/0","doc":"","ref":"ExOpenAI.Components.ItemResource.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.KeyPress","doc":"Schema representing a KeyPress within the OpenAI API","ref":"ExOpenAI.Components.KeyPress.html"},{"type":"type","title":"ExOpenAI.Components.KeyPress.t/0","doc":"","ref":"ExOpenAI.Components.KeyPress.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListAssistantsResponse","doc":"Schema representing a ListAssistantsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListAssistantsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListAssistantsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListAssistantsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListAuditLogsResponse","doc":"Schema representing a ListAuditLogsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListAuditLogsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListAuditLogsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListAuditLogsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListBatchesResponse","doc":"Schema representing a ListBatchesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListBatchesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListBatchesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListBatchesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListFilesResponse","doc":"Schema representing a ListFilesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFilesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListFilesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListFilesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListFineTuningJobCheckpointsResponse","doc":"Schema representing a ListFineTuningJobCheckpointsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTuningJobCheckpointsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListFineTuningJobCheckpointsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListFineTuningJobCheckpointsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListFineTuningJobEventsResponse","doc":"Schema representing a ListFineTuningJobEventsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTuningJobEventsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListFineTuningJobEventsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListFineTuningJobEventsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListMessagesResponse","doc":"Schema representing a ListMessagesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListMessagesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListMessagesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListMessagesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListModelsResponse","doc":"Schema representing a ListModelsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListModelsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListModelsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListModelsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse","doc":"Schema representing a ListPaginatedFineTuningJobsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListRunStepsResponse","doc":"Schema representing a ListRunStepsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListRunStepsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListRunStepsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListRunStepsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListRunsResponse","doc":"Schema representing a ListRunsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListRunsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListRunsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListRunsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListThreadsResponse","doc":"Schema representing a ListThreadsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListThreadsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListThreadsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListThreadsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListVectorStoreFilesResponse","doc":"Schema representing a ListVectorStoreFilesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListVectorStoreFilesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListVectorStoreFilesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListVectorStoreFilesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListVectorStoresResponse","doc":"Schema representing a ListVectorStoresResponse within the OpenAI API","ref":"ExOpenAI.Components.ListVectorStoresResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListVectorStoresResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListVectorStoresResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.LogProb","doc":"Schema representing a LogProb within the OpenAI API","ref":"ExOpenAI.Components.LogProb.html"},{"type":"type","title":"ExOpenAI.Components.LogProb.t/0","doc":"","ref":"ExOpenAI.Components.LogProb.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.LogProbProperties","doc":"Schema representing a LogProbProperties within the OpenAI API","ref":"ExOpenAI.Components.LogProbProperties.html"},{"type":"type","title":"ExOpenAI.Components.LogProbProperties.t/0","doc":"","ref":"ExOpenAI.Components.LogProbProperties.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentImageFileObject","doc":"Schema representing a MessageContentImageFileObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentImageFileObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentImageFileObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentImageFileObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentImageUrlObject","doc":"Schema representing a MessageContentImageUrlObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentImageUrlObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentImageUrlObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentImageUrlObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentRefusalObject","doc":"Schema representing a MessageContentRefusalObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentRefusalObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentRefusalObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentRefusalObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentTextAnnotationsFileCitationObject","doc":"Schema representing a MessageContentTextAnnotationsFileCitationObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentTextAnnotationsFileCitationObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentTextAnnotationsFileCitationObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentTextAnnotationsFileCitationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentTextAnnotationsFilePathObject","doc":"Schema representing a MessageContentTextAnnotationsFilePathObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentTextAnnotationsFilePathObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentTextAnnotationsFilePathObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentTextAnnotationsFilePathObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentTextObject","doc":"Schema representing a MessageContentTextObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentTextObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentTextObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentTextObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentImageFileObject","doc":"Schema representing a MessageDeltaContentImageFileObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentImageFileObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentImageFileObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentImageFileObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentImageUrlObject","doc":"Schema representing a MessageDeltaContentImageUrlObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentImageUrlObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentImageUrlObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentImageUrlObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentRefusalObject","doc":"Schema representing a MessageDeltaContentRefusalObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentRefusalObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentRefusalObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentRefusalObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFileCitationObject","doc":"Schema representing a MessageDeltaContentTextAnnotationsFileCitationObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFileCitationObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFileCitationObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFileCitationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFilePathObject","doc":"Schema representing a MessageDeltaContentTextAnnotationsFilePathObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFilePathObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFilePathObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFilePathObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentTextObject","doc":"Schema representing a MessageDeltaContentTextObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentTextObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentTextObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentTextObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaObject","doc":"Schema representing a MessageDeltaObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageObject","doc":"Schema representing a MessageObject within the OpenAI API","ref":"ExOpenAI.Components.MessageObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageRequestContentTextObject","doc":"Schema representing a MessageRequestContentTextObject within the OpenAI API","ref":"ExOpenAI.Components.MessageRequestContentTextObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageRequestContentTextObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageRequestContentTextObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageStreamEvent","doc":"Schema representing a MessageStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [object: %{\"data\" => {:component, \"MessageObject\"}, \"event\" => {:enum, [:\"thread.message.created\"]}}, object: %{\"data\" => {:component, \"MessageObject\"}, \"event\" => {:enum, [:\"thread.message.in_progress\"]}}, object: %{\"data\" => {:component, \"MessageDeltaObject\"}, \"event\" => {:enum, [:\"thread.message.delta\"]}}, object: %{\"data\" => {:component, \"MessageObject\"}, \"event\" => {:enum, [:\"thread.message.completed\"]}}, object: %{\"data\" => {:component, \"MessageObject\"}, \"event\" => {:enum, [:\"thread.message.incomplete\"]}}]","ref":"ExOpenAI.Components.MessageStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.MessageStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.MessageStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Metadata","doc":"Schema representing a Metadata within the OpenAI API","ref":"ExOpenAI.Components.Metadata.html"},{"type":"type","title":"ExOpenAI.Components.Metadata.t/0","doc":"","ref":"ExOpenAI.Components.Metadata.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Model","doc":"Replacement Component for Model API responses\nThis module was not part of the api documentation and got probably forgotten, so it has been manually provided by this package\nRpresents API responses such as:\n```\ncreated: 1649880484,\nid: \"text-davinci-insert-002\",\nobject: \"model\",\nowned_by: \"openai\",\nparent: nil,\npermission: [\n  %{\n    allow_create_engine: false,\n    allow_fine_tuning: false,\n    allow_logprobs: true,\n    allow_sampling: true,\n    allow_search_indices: false,\n    allow_view: true,\n    created: 1669066354,\n    group: nil,\n    id: \"modelperm-V5YQoSyiapAf4km5wisXkNXh\",\n    is_blocking: false,\n    object: \"model_permission\",\n    organization: \"*\"\n  }\n],\nroot: \"text-davinci-insert-002\"\n```","ref":"ExOpenAI.Components.Model.html"},{"type":"type","title":"ExOpenAI.Components.Model.t/0","doc":"","ref":"ExOpenAI.Components.Model.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModelIds","doc":"Schema representing a ModelIds within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [\"string\", {:enum, [:o1, :\"o1-2024-12-17\", :\"o1-preview\", :\"o1-preview-2024-09-12\", :\"o1-mini\", :\"o1-mini-2024-09-12\", :\"gpt-4o\", :\"gpt-4o-2024-11-20\", :\"gpt-4o-2024-08-06\", :\"gpt-4o-2024-05-13\", :\"gpt-4o-audio-preview\", :\"gpt-4o-audio-preview-2024-10-01\", :\"gpt-4o-audio-preview-2024-12-17\", :\"gpt-4o-mini-audio-preview\", :\"gpt-4o-mini-audio-preview-2024-12-17\", :\"gpt-4o-search-preview\", :\"gpt-4o-mini-search-preview\", :\"gpt-4o-search-preview-2025-03-11\", :\"gpt-4o-mini-search-preview-2025-03-11\", :\"computer-use-preview\", :\"computer-use-preview-2025-03-11\", :\"chatgpt-4o-latest\", :\"gpt-4o-mini\", :\"gpt-4o-mini-2024-07-18\", :\"gpt-4-turbo\", :\"gpt-4-turbo-2024-04-09\", :\"gpt-4-0125-preview\", :\"gpt-4-turbo-preview\", :\"gpt-4-1106-preview\", :\"gpt-4-vision-preview\", :\"gpt-4\", :\"gpt-4-0314\", :\"gpt-4-0613\", :\"gpt-4-32k\", :\"gpt-4-32k-0314\", :\"gpt-4-32k-0613\", :\"gpt-3.5-turbo\", :\"gpt-3.5-turbo-16k\", :\"gpt-3.5-turbo-0301\", :\"gpt-3.5-turbo-0613\", :\"gpt-3.5-turbo-1106\", :\"gpt-3.5-turbo-0125\", :\"gpt-3.5-turbo-16k-0613\"]}]","ref":"ExOpenAI.Components.ModelIds.html"},{"type":"type","title":"ExOpenAI.Components.ModelIds.t/0","doc":"","ref":"ExOpenAI.Components.ModelIds.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModelResponseProperties","doc":"Schema representing a ModelResponseProperties within the OpenAI API","ref":"ExOpenAI.Components.ModelResponseProperties.html"},{"type":"type","title":"ExOpenAI.Components.ModelResponseProperties.t/0","doc":"","ref":"ExOpenAI.Components.ModelResponseProperties.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModifyAssistantRequest","doc":"Schema representing a ModifyAssistantRequest within the OpenAI API","ref":"ExOpenAI.Components.ModifyAssistantRequest.html"},{"type":"type","title":"ExOpenAI.Components.ModifyAssistantRequest.t/0","doc":"","ref":"ExOpenAI.Components.ModifyAssistantRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModifyMessageRequest","doc":"Schema representing a ModifyMessageRequest within the OpenAI API","ref":"ExOpenAI.Components.ModifyMessageRequest.html"},{"type":"type","title":"ExOpenAI.Components.ModifyMessageRequest.t/0","doc":"","ref":"ExOpenAI.Components.ModifyMessageRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModifyRunRequest","doc":"Schema representing a ModifyRunRequest within the OpenAI API","ref":"ExOpenAI.Components.ModifyRunRequest.html"},{"type":"type","title":"ExOpenAI.Components.ModifyRunRequest.t/0","doc":"","ref":"ExOpenAI.Components.ModifyRunRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModifyThreadRequest","doc":"Schema representing a ModifyThreadRequest within the OpenAI API","ref":"ExOpenAI.Components.ModifyThreadRequest.html"},{"type":"type","title":"ExOpenAI.Components.ModifyThreadRequest.t/0","doc":"","ref":"ExOpenAI.Components.ModifyThreadRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Move","doc":"Schema representing a Move within the OpenAI API","ref":"ExOpenAI.Components.Move.html"},{"type":"type","title":"ExOpenAI.Components.Move.t/0","doc":"","ref":"ExOpenAI.Components.Move.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OpenAIFile","doc":"Schema representing a OpenAIFile within the OpenAI API","ref":"ExOpenAI.Components.OpenAIFile.html"},{"type":"type","title":"ExOpenAI.Components.OpenAIFile.t/0","doc":"","ref":"ExOpenAI.Components.OpenAIFile.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OtherChunkingStrategyResponseParam","doc":"Schema representing a OtherChunkingStrategyResponseParam within the OpenAI API","ref":"ExOpenAI.Components.OtherChunkingStrategyResponseParam.html"},{"type":"type","title":"ExOpenAI.Components.OtherChunkingStrategyResponseParam.t/0","doc":"","ref":"ExOpenAI.Components.OtherChunkingStrategyResponseParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OutputAudio","doc":"Schema representing a OutputAudio within the OpenAI API","ref":"ExOpenAI.Components.OutputAudio.html"},{"type":"type","title":"ExOpenAI.Components.OutputAudio.t/0","doc":"","ref":"ExOpenAI.Components.OutputAudio.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OutputContent","doc":"Schema representing a OutputContent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"OutputText\", component: \"Refusal\"]","ref":"ExOpenAI.Components.OutputContent.html"},{"type":"type","title":"ExOpenAI.Components.OutputContent.t/0","doc":"","ref":"ExOpenAI.Components.OutputContent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OutputItem","doc":"Schema representing a OutputItem within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"OutputMessage\", component: \"FileSearchToolCall\", component: \"FunctionToolCall\", component: \"WebSearchToolCall\", component: \"ComputerToolCall\", component: \"ReasoningItem\"]","ref":"ExOpenAI.Components.OutputItem.html"},{"type":"type","title":"ExOpenAI.Components.OutputItem.t/0","doc":"","ref":"ExOpenAI.Components.OutputItem.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OutputMessage","doc":"Schema representing a OutputMessage within the OpenAI API","ref":"ExOpenAI.Components.OutputMessage.html"},{"type":"type","title":"ExOpenAI.Components.OutputMessage.t/0","doc":"","ref":"ExOpenAI.Components.OutputMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OutputText","doc":"Schema representing a OutputText within the OpenAI API","ref":"ExOpenAI.Components.OutputText.html"},{"type":"type","title":"ExOpenAI.Components.OutputText.t/0","doc":"","ref":"ExOpenAI.Components.OutputText.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ParallelToolCalls","doc":"Schema representing a ParallelToolCalls within the OpenAI API","ref":"ExOpenAI.Components.ParallelToolCalls.html"},{"type":"type","title":"ExOpenAI.Components.ParallelToolCalls.t/0","doc":"","ref":"ExOpenAI.Components.ParallelToolCalls.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.PredictionContent","doc":"Schema representing a PredictionContent within the OpenAI API","ref":"ExOpenAI.Components.PredictionContent.html"},{"type":"type","title":"ExOpenAI.Components.PredictionContent.t/0","doc":"","ref":"ExOpenAI.Components.PredictionContent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Project","doc":"Schema representing a Project within the OpenAI API","ref":"ExOpenAI.Components.Project.html"},{"type":"type","title":"ExOpenAI.Components.Project.t/0","doc":"","ref":"ExOpenAI.Components.Project.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectApiKey","doc":"Schema representing a ProjectApiKey within the OpenAI API","ref":"ExOpenAI.Components.ProjectApiKey.html"},{"type":"type","title":"ExOpenAI.Components.ProjectApiKey.t/0","doc":"","ref":"ExOpenAI.Components.ProjectApiKey.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectApiKeyDeleteResponse","doc":"Schema representing a ProjectApiKeyDeleteResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectApiKeyDeleteResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectApiKeyDeleteResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectApiKeyDeleteResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectApiKeyListResponse","doc":"Schema representing a ProjectApiKeyListResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectApiKeyListResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectApiKeyListResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectApiKeyListResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectCreateRequest","doc":"Schema representing a ProjectCreateRequest within the OpenAI API","ref":"ExOpenAI.Components.ProjectCreateRequest.html"},{"type":"type","title":"ExOpenAI.Components.ProjectCreateRequest.t/0","doc":"","ref":"ExOpenAI.Components.ProjectCreateRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectListResponse","doc":"Schema representing a ProjectListResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectListResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectListResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectListResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectRateLimit","doc":"Schema representing a ProjectRateLimit within the OpenAI API","ref":"ExOpenAI.Components.ProjectRateLimit.html"},{"type":"type","title":"ExOpenAI.Components.ProjectRateLimit.t/0","doc":"","ref":"ExOpenAI.Components.ProjectRateLimit.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectRateLimitListResponse","doc":"Schema representing a ProjectRateLimitListResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectRateLimitListResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectRateLimitListResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectRateLimitListResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectRateLimitUpdateRequest","doc":"Schema representing a ProjectRateLimitUpdateRequest within the OpenAI API","ref":"ExOpenAI.Components.ProjectRateLimitUpdateRequest.html"},{"type":"type","title":"ExOpenAI.Components.ProjectRateLimitUpdateRequest.t/0","doc":"","ref":"ExOpenAI.Components.ProjectRateLimitUpdateRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectServiceAccount","doc":"Schema representing a ProjectServiceAccount within the OpenAI API","ref":"ExOpenAI.Components.ProjectServiceAccount.html"},{"type":"type","title":"ExOpenAI.Components.ProjectServiceAccount.t/0","doc":"","ref":"ExOpenAI.Components.ProjectServiceAccount.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectServiceAccountApiKey","doc":"Schema representing a ProjectServiceAccountApiKey within the OpenAI API","ref":"ExOpenAI.Components.ProjectServiceAccountApiKey.html"},{"type":"type","title":"ExOpenAI.Components.ProjectServiceAccountApiKey.t/0","doc":"","ref":"ExOpenAI.Components.ProjectServiceAccountApiKey.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectServiceAccountCreateRequest","doc":"Schema representing a ProjectServiceAccountCreateRequest within the OpenAI API","ref":"ExOpenAI.Components.ProjectServiceAccountCreateRequest.html"},{"type":"type","title":"ExOpenAI.Components.ProjectServiceAccountCreateRequest.t/0","doc":"","ref":"ExOpenAI.Components.ProjectServiceAccountCreateRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectServiceAccountCreateResponse","doc":"Schema representing a ProjectServiceAccountCreateResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectServiceAccountCreateResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectServiceAccountCreateResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectServiceAccountCreateResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectServiceAccountDeleteResponse","doc":"Schema representing a ProjectServiceAccountDeleteResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectServiceAccountDeleteResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectServiceAccountDeleteResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectServiceAccountDeleteResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectServiceAccountListResponse","doc":"Schema representing a ProjectServiceAccountListResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectServiceAccountListResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectServiceAccountListResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectServiceAccountListResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectUpdateRequest","doc":"Schema representing a ProjectUpdateRequest within the OpenAI API","ref":"ExOpenAI.Components.ProjectUpdateRequest.html"},{"type":"type","title":"ExOpenAI.Components.ProjectUpdateRequest.t/0","doc":"","ref":"ExOpenAI.Components.ProjectUpdateRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectUser","doc":"Schema representing a ProjectUser within the OpenAI API","ref":"ExOpenAI.Components.ProjectUser.html"},{"type":"type","title":"ExOpenAI.Components.ProjectUser.t/0","doc":"","ref":"ExOpenAI.Components.ProjectUser.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectUserCreateRequest","doc":"Schema representing a ProjectUserCreateRequest within the OpenAI API","ref":"ExOpenAI.Components.ProjectUserCreateRequest.html"},{"type":"type","title":"ExOpenAI.Components.ProjectUserCreateRequest.t/0","doc":"","ref":"ExOpenAI.Components.ProjectUserCreateRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectUserDeleteResponse","doc":"Schema representing a ProjectUserDeleteResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectUserDeleteResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectUserDeleteResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectUserDeleteResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectUserListResponse","doc":"Schema representing a ProjectUserListResponse within the OpenAI API","ref":"ExOpenAI.Components.ProjectUserListResponse.html"},{"type":"type","title":"ExOpenAI.Components.ProjectUserListResponse.t/0","doc":"","ref":"ExOpenAI.Components.ProjectUserListResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ProjectUserUpdateRequest","doc":"Schema representing a ProjectUserUpdateRequest within the OpenAI API","ref":"ExOpenAI.Components.ProjectUserUpdateRequest.html"},{"type":"type","title":"ExOpenAI.Components.ProjectUserUpdateRequest.t/0","doc":"","ref":"ExOpenAI.Components.ProjectUserUpdateRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventConversationItemCreate","doc":"Schema representing a RealtimeClientEventConversationItemCreate within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventConversationItemCreate.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventConversationItemCreate.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventConversationItemCreate.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventConversationItemDelete","doc":"Schema representing a RealtimeClientEventConversationItemDelete within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventConversationItemDelete.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventConversationItemDelete.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventConversationItemDelete.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventConversationItemTruncate","doc":"Schema representing a RealtimeClientEventConversationItemTruncate within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventConversationItemTruncate.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventConversationItemTruncate.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventConversationItemTruncate.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferAppend","doc":"Schema representing a RealtimeClientEventInputAudioBufferAppend within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferAppend.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferAppend.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferAppend.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferClear","doc":"Schema representing a RealtimeClientEventInputAudioBufferClear within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferClear.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferClear.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferClear.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferCommit","doc":"Schema representing a RealtimeClientEventInputAudioBufferCommit within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferCommit.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferCommit.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventInputAudioBufferCommit.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventResponseCancel","doc":"Schema representing a RealtimeClientEventResponseCancel within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventResponseCancel.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventResponseCancel.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventResponseCancel.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventResponseCreate","doc":"Schema representing a RealtimeClientEventResponseCreate within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventResponseCreate.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventResponseCreate.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventResponseCreate.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeClientEventSessionUpdate","doc":"Schema representing a RealtimeClientEventSessionUpdate within the OpenAI API","ref":"ExOpenAI.Components.RealtimeClientEventSessionUpdate.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeClientEventSessionUpdate.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeClientEventSessionUpdate.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeConversationItem","doc":"Schema representing a RealtimeConversationItem within the OpenAI API","ref":"ExOpenAI.Components.RealtimeConversationItem.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeConversationItem.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeConversationItem.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeConversationItemWithReference","doc":"Schema representing a RealtimeConversationItemWithReference within the OpenAI API","ref":"ExOpenAI.Components.RealtimeConversationItemWithReference.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeConversationItemWithReference.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeConversationItemWithReference.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeResponse","doc":"Schema representing a RealtimeResponse within the OpenAI API","ref":"ExOpenAI.Components.RealtimeResponse.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeResponse.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeResponseCreateParams","doc":"Schema representing a RealtimeResponseCreateParams within the OpenAI API","ref":"ExOpenAI.Components.RealtimeResponseCreateParams.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeResponseCreateParams.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeResponseCreateParams.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventConversationCreated","doc":"Schema representing a RealtimeServerEventConversationCreated within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventConversationCreated.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventConversationCreated.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventConversationCreated.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventConversationItemCreated","doc":"Schema representing a RealtimeServerEventConversationItemCreated within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemCreated.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventConversationItemCreated.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemCreated.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventConversationItemDeleted","doc":"Schema representing a RealtimeServerEventConversationItemDeleted within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemDeleted.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventConversationItemDeleted.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemDeleted.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventConversationItemInputAudioTranscriptionCompleted","doc":"Schema representing a RealtimeServerEventConversationItemInputAudioTranscriptionCompleted within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemInputAudioTranscriptionCompleted.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventConversationItemInputAudioTranscriptionCompleted.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemInputAudioTranscriptionCompleted.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventConversationItemInputAudioTranscriptionFailed","doc":"Schema representing a RealtimeServerEventConversationItemInputAudioTranscriptionFailed within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemInputAudioTranscriptionFailed.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventConversationItemInputAudioTranscriptionFailed.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemInputAudioTranscriptionFailed.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventConversationItemTruncated","doc":"Schema representing a RealtimeServerEventConversationItemTruncated within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemTruncated.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventConversationItemTruncated.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventConversationItemTruncated.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventError","doc":"Schema representing a RealtimeServerEventError within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventError.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventError.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventError.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferCleared","doc":"Schema representing a RealtimeServerEventInputAudioBufferCleared within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferCleared.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferCleared.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferCleared.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferCommitted","doc":"Schema representing a RealtimeServerEventInputAudioBufferCommitted within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferCommitted.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferCommitted.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferCommitted.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferSpeechStarted","doc":"Schema representing a RealtimeServerEventInputAudioBufferSpeechStarted within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferSpeechStarted.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferSpeechStarted.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferSpeechStarted.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferSpeechStopped","doc":"Schema representing a RealtimeServerEventInputAudioBufferSpeechStopped within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferSpeechStopped.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferSpeechStopped.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventInputAudioBufferSpeechStopped.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventRateLimitsUpdated","doc":"Schema representing a RealtimeServerEventRateLimitsUpdated within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventRateLimitsUpdated.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventRateLimitsUpdated.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventRateLimitsUpdated.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseAudioDelta","doc":"Schema representing a RealtimeServerEventResponseAudioDelta within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseAudioDelta.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseAudioDelta.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseAudioDelta.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseAudioDone","doc":"Schema representing a RealtimeServerEventResponseAudioDone within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseAudioDone.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseAudioDone.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseAudioDone.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseAudioTranscriptDelta","doc":"Schema representing a RealtimeServerEventResponseAudioTranscriptDelta within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseAudioTranscriptDelta.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseAudioTranscriptDelta.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseAudioTranscriptDelta.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseAudioTranscriptDone","doc":"Schema representing a RealtimeServerEventResponseAudioTranscriptDone within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseAudioTranscriptDone.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseAudioTranscriptDone.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseAudioTranscriptDone.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseContentPartAdded","doc":"Schema representing a RealtimeServerEventResponseContentPartAdded within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseContentPartAdded.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseContentPartAdded.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseContentPartAdded.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseContentPartDone","doc":"Schema representing a RealtimeServerEventResponseContentPartDone within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseContentPartDone.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseContentPartDone.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseContentPartDone.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseCreated","doc":"Schema representing a RealtimeServerEventResponseCreated within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseCreated.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseCreated.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseCreated.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseDone","doc":"Schema representing a RealtimeServerEventResponseDone within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseDone.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseDone.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseDone.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseFunctionCallArgumentsDelta","doc":"Schema representing a RealtimeServerEventResponseFunctionCallArgumentsDelta within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseFunctionCallArgumentsDelta.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseFunctionCallArgumentsDelta.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseFunctionCallArgumentsDelta.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseFunctionCallArgumentsDone","doc":"Schema representing a RealtimeServerEventResponseFunctionCallArgumentsDone within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseFunctionCallArgumentsDone.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseFunctionCallArgumentsDone.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseFunctionCallArgumentsDone.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseOutputItemAdded","doc":"Schema representing a RealtimeServerEventResponseOutputItemAdded within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseOutputItemAdded.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseOutputItemAdded.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseOutputItemAdded.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseOutputItemDone","doc":"Schema representing a RealtimeServerEventResponseOutputItemDone within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseOutputItemDone.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseOutputItemDone.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseOutputItemDone.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseTextDelta","doc":"Schema representing a RealtimeServerEventResponseTextDelta within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseTextDelta.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseTextDelta.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseTextDelta.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventResponseTextDone","doc":"Schema representing a RealtimeServerEventResponseTextDone within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventResponseTextDone.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventResponseTextDone.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventResponseTextDone.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventSessionCreated","doc":"Schema representing a RealtimeServerEventSessionCreated within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventSessionCreated.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventSessionCreated.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventSessionCreated.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeServerEventSessionUpdated","doc":"Schema representing a RealtimeServerEventSessionUpdated within the OpenAI API","ref":"ExOpenAI.Components.RealtimeServerEventSessionUpdated.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeServerEventSessionUpdated.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeServerEventSessionUpdated.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeSession","doc":"Schema representing a RealtimeSession within the OpenAI API","ref":"ExOpenAI.Components.RealtimeSession.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeSession.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeSession.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeSessionCreateRequest","doc":"Schema representing a RealtimeSessionCreateRequest within the OpenAI API","ref":"ExOpenAI.Components.RealtimeSessionCreateRequest.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeSessionCreateRequest.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeSessionCreateRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RealtimeSessionCreateResponse","doc":"Schema representing a RealtimeSessionCreateResponse within the OpenAI API","ref":"ExOpenAI.Components.RealtimeSessionCreateResponse.html"},{"type":"type","title":"ExOpenAI.Components.RealtimeSessionCreateResponse.t/0","doc":"","ref":"ExOpenAI.Components.RealtimeSessionCreateResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Reasoning","doc":"Schema representing a Reasoning within the OpenAI API","ref":"ExOpenAI.Components.Reasoning.html"},{"type":"type","title":"ExOpenAI.Components.Reasoning.t/0","doc":"","ref":"ExOpenAI.Components.Reasoning.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ReasoningEffort","doc":"Schema representing a ReasoningEffort within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:low, :medium, :high]}","ref":"ExOpenAI.Components.ReasoningEffort.html"},{"type":"type","title":"ExOpenAI.Components.ReasoningEffort.t/0","doc":"","ref":"ExOpenAI.Components.ReasoningEffort.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ReasoningItem","doc":"Schema representing a ReasoningItem within the OpenAI API","ref":"ExOpenAI.Components.ReasoningItem.html"},{"type":"type","title":"ExOpenAI.Components.ReasoningItem.t/0","doc":"","ref":"ExOpenAI.Components.ReasoningItem.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Refusal","doc":"Schema representing a Refusal within the OpenAI API","ref":"ExOpenAI.Components.Refusal.html"},{"type":"type","title":"ExOpenAI.Components.Refusal.t/0","doc":"","ref":"ExOpenAI.Components.Refusal.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Response","doc":"Schema representing a Response within the OpenAI API","ref":"ExOpenAI.Components.Response.html"},{"type":"type","title":"ExOpenAI.Components.Response.t/0","doc":"","ref":"ExOpenAI.Components.Response.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseAudioDeltaEvent","doc":"Schema representing a ResponseAudioDeltaEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseAudioDeltaEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseAudioDeltaEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseAudioDeltaEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseAudioDoneEvent","doc":"Schema representing a ResponseAudioDoneEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseAudioDoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseAudioDoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseAudioDoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseAudioTranscriptDeltaEvent","doc":"Schema representing a ResponseAudioTranscriptDeltaEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseAudioTranscriptDeltaEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseAudioTranscriptDeltaEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseAudioTranscriptDeltaEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseAudioTranscriptDoneEvent","doc":"Schema representing a ResponseAudioTranscriptDoneEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseAudioTranscriptDoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseAudioTranscriptDoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseAudioTranscriptDoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseCodeInterpreterCallCodeDeltaEvent","doc":"Schema representing a ResponseCodeInterpreterCallCodeDeltaEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallCodeDeltaEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseCodeInterpreterCallCodeDeltaEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallCodeDeltaEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseCodeInterpreterCallCodeDoneEvent","doc":"Schema representing a ResponseCodeInterpreterCallCodeDoneEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallCodeDoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseCodeInterpreterCallCodeDoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallCodeDoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseCodeInterpreterCallCompletedEvent","doc":"Schema representing a ResponseCodeInterpreterCallCompletedEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallCompletedEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseCodeInterpreterCallCompletedEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallCompletedEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseCodeInterpreterCallInProgressEvent","doc":"Schema representing a ResponseCodeInterpreterCallInProgressEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallInProgressEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseCodeInterpreterCallInProgressEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallInProgressEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseCodeInterpreterCallInterpretingEvent","doc":"Schema representing a ResponseCodeInterpreterCallInterpretingEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallInterpretingEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseCodeInterpreterCallInterpretingEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseCodeInterpreterCallInterpretingEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseCompletedEvent","doc":"Schema representing a ResponseCompletedEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseCompletedEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseCompletedEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseCompletedEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseContentPartAddedEvent","doc":"Schema representing a ResponseContentPartAddedEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseContentPartAddedEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseContentPartAddedEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseContentPartAddedEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseContentPartDoneEvent","doc":"Schema representing a ResponseContentPartDoneEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseContentPartDoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseContentPartDoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseContentPartDoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseCreatedEvent","doc":"Schema representing a ResponseCreatedEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseCreatedEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseCreatedEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseCreatedEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseError","doc":"Schema representing a ResponseError within the OpenAI API","ref":"ExOpenAI.Components.ResponseError.html"},{"type":"type","title":"ExOpenAI.Components.ResponseError.t/0","doc":"","ref":"ExOpenAI.Components.ResponseError.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseErrorCode","doc":"Schema representing a ResponseErrorCode within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:server_error, :rate_limit_exceeded, :invalid_prompt, :vector_store_timeout, :invalid_image, :invalid_image_format, :invalid_base64_image, :invalid_image_url, :image_too_large, :image_too_small, :image_parse_error, :image_content_policy_violation, :invalid_image_mode, :image_file_too_large, :unsupported_image_media_type, :empty_image_file, :failed_to_download_image, :image_file_not_found]}","ref":"ExOpenAI.Components.ResponseErrorCode.html"},{"type":"type","title":"ExOpenAI.Components.ResponseErrorCode.t/0","doc":"","ref":"ExOpenAI.Components.ResponseErrorCode.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseErrorEvent","doc":"Schema representing a ResponseErrorEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseErrorEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseErrorEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseErrorEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFailedEvent","doc":"Schema representing a ResponseFailedEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseFailedEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFailedEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFailedEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFileSearchCallCompletedEvent","doc":"Schema representing a ResponseFileSearchCallCompletedEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseFileSearchCallCompletedEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFileSearchCallCompletedEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFileSearchCallCompletedEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFileSearchCallInProgressEvent","doc":"Schema representing a ResponseFileSearchCallInProgressEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseFileSearchCallInProgressEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFileSearchCallInProgressEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFileSearchCallInProgressEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFileSearchCallSearchingEvent","doc":"Schema representing a ResponseFileSearchCallSearchingEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseFileSearchCallSearchingEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFileSearchCallSearchingEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFileSearchCallSearchingEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFormatJsonObject","doc":"Schema representing a ResponseFormatJsonObject within the OpenAI API","ref":"ExOpenAI.Components.ResponseFormatJsonObject.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFormatJsonObject.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFormatJsonObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFormatJsonSchema","doc":"Schema representing a ResponseFormatJsonSchema within the OpenAI API","ref":"ExOpenAI.Components.ResponseFormatJsonSchema.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFormatJsonSchema.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFormatJsonSchema.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFormatJsonSchemaSchema","doc":"Schema representing a ResponseFormatJsonSchemaSchema within the OpenAI API","ref":"ExOpenAI.Components.ResponseFormatJsonSchemaSchema.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFormatJsonSchemaSchema.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFormatJsonSchemaSchema.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFormatText","doc":"Schema representing a ResponseFormatText within the OpenAI API","ref":"ExOpenAI.Components.ResponseFormatText.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFormatText.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFormatText.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFunctionCallArgumentsDeltaEvent","doc":"Schema representing a ResponseFunctionCallArgumentsDeltaEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseFunctionCallArgumentsDeltaEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFunctionCallArgumentsDeltaEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFunctionCallArgumentsDeltaEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseFunctionCallArgumentsDoneEvent","doc":"Schema representing a ResponseFunctionCallArgumentsDoneEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseFunctionCallArgumentsDoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseFunctionCallArgumentsDoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseFunctionCallArgumentsDoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseInProgressEvent","doc":"Schema representing a ResponseInProgressEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseInProgressEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseInProgressEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseInProgressEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseIncompleteEvent","doc":"Schema representing a ResponseIncompleteEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseIncompleteEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseIncompleteEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseIncompleteEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseItemList","doc":"Schema representing a ResponseItemList within the OpenAI API","ref":"ExOpenAI.Components.ResponseItemList.html"},{"type":"type","title":"ExOpenAI.Components.ResponseItemList.t/0","doc":"","ref":"ExOpenAI.Components.ResponseItemList.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseModalities","doc":"Schema representing a ResponseModalities within the OpenAI API","ref":"ExOpenAI.Components.ResponseModalities.html"},{"type":"type","title":"ExOpenAI.Components.ResponseModalities.t/0","doc":"","ref":"ExOpenAI.Components.ResponseModalities.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseModalitiesTextOnly","doc":"Schema representing a ResponseModalitiesTextOnly within the OpenAI API","ref":"ExOpenAI.Components.ResponseModalitiesTextOnly.html"},{"type":"type","title":"ExOpenAI.Components.ResponseModalitiesTextOnly.t/0","doc":"","ref":"ExOpenAI.Components.ResponseModalitiesTextOnly.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseOutputItemAddedEvent","doc":"Schema representing a ResponseOutputItemAddedEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseOutputItemAddedEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseOutputItemAddedEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseOutputItemAddedEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseOutputItemDoneEvent","doc":"Schema representing a ResponseOutputItemDoneEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseOutputItemDoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseOutputItemDoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseOutputItemDoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseProperties","doc":"Schema representing a ResponseProperties within the OpenAI API","ref":"ExOpenAI.Components.ResponseProperties.html"},{"type":"type","title":"ExOpenAI.Components.ResponseProperties.t/0","doc":"","ref":"ExOpenAI.Components.ResponseProperties.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseRefusalDeltaEvent","doc":"Schema representing a ResponseRefusalDeltaEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseRefusalDeltaEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseRefusalDeltaEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseRefusalDeltaEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseRefusalDoneEvent","doc":"Schema representing a ResponseRefusalDoneEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseRefusalDoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseRefusalDoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseRefusalDoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseStreamEvent","doc":"Schema representing a ResponseStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"ResponseAudioDeltaEvent\", component: \"ResponseAudioDoneEvent\", component: \"ResponseAudioTranscriptDeltaEvent\", component: \"ResponseAudioTranscriptDoneEvent\", component: \"ResponseCodeInterpreterCallCodeDeltaEvent\", component: \"ResponseCodeInterpreterCallCodeDoneEvent\", component: \"ResponseCodeInterpreterCallCompletedEvent\", component: \"ResponseCodeInterpreterCallInProgressEvent\", component: \"ResponseCodeInterpreterCallInterpretingEvent\", component: \"ResponseCompletedEvent\", component: \"ResponseContentPartAddedEvent\", component: \"ResponseContentPartDoneEvent\", component: \"ResponseCreatedEvent\", component: \"ResponseErrorEvent\", component: \"ResponseFileSearchCallCompletedEvent\", component: \"ResponseFileSearchCallInProgressEvent\", component: \"ResponseFileSearchCallSearchingEvent\", component: \"ResponseFunctionCallArgumentsDeltaEvent\", component: \"ResponseFunctionCallArgumentsDoneEvent\", component: \"ResponseInProgressEvent\", component: \"ResponseFailedEvent\", component: \"ResponseIncompleteEvent\", component: \"ResponseOutputItemAddedEvent\", component: \"ResponseOutputItemDoneEvent\", component: \"ResponseRefusalDeltaEvent\", component: \"ResponseRefusalDoneEvent\", component: \"ResponseTextAnnotationDeltaEvent\", component: \"ResponseTextDeltaEvent\", component: \"ResponseTextDoneEvent\", component: \"ResponseWebSearchCallCompletedEvent\", component: \"ResponseWebSearchCallInProgressEvent\", component: \"ResponseWebSearchCallSearchingEvent\"]","ref":"ExOpenAI.Components.ResponseStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseTextAnnotationDeltaEvent","doc":"Schema representing a ResponseTextAnnotationDeltaEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseTextAnnotationDeltaEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseTextAnnotationDeltaEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseTextAnnotationDeltaEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseTextDeltaEvent","doc":"Schema representing a ResponseTextDeltaEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseTextDeltaEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseTextDeltaEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseTextDeltaEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseTextDoneEvent","doc":"Schema representing a ResponseTextDoneEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseTextDoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseTextDoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseTextDoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseUsage","doc":"Schema representing a ResponseUsage within the OpenAI API","ref":"ExOpenAI.Components.ResponseUsage.html"},{"type":"type","title":"ExOpenAI.Components.ResponseUsage.t/0","doc":"","ref":"ExOpenAI.Components.ResponseUsage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseWebSearchCallCompletedEvent","doc":"Schema representing a ResponseWebSearchCallCompletedEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseWebSearchCallCompletedEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseWebSearchCallCompletedEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseWebSearchCallCompletedEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseWebSearchCallInProgressEvent","doc":"Schema representing a ResponseWebSearchCallInProgressEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseWebSearchCallInProgressEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseWebSearchCallInProgressEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseWebSearchCallInProgressEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ResponseWebSearchCallSearchingEvent","doc":"Schema representing a ResponseWebSearchCallSearchingEvent within the OpenAI API","ref":"ExOpenAI.Components.ResponseWebSearchCallSearchingEvent.html"},{"type":"type","title":"ExOpenAI.Components.ResponseWebSearchCallSearchingEvent.t/0","doc":"","ref":"ExOpenAI.Components.ResponseWebSearchCallSearchingEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunCompletionUsage","doc":"Schema representing a RunCompletionUsage within the OpenAI API","ref":"ExOpenAI.Components.RunCompletionUsage.html"},{"type":"type","title":"ExOpenAI.Components.RunCompletionUsage.t/0","doc":"","ref":"ExOpenAI.Components.RunCompletionUsage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunObject","doc":"Schema representing a RunObject within the OpenAI API","ref":"ExOpenAI.Components.RunObject.html"},{"type":"type","title":"ExOpenAI.Components.RunObject.t/0","doc":"","ref":"ExOpenAI.Components.RunObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepCompletionUsage","doc":"Schema representing a RunStepCompletionUsage within the OpenAI API","ref":"ExOpenAI.Components.RunStepCompletionUsage.html"},{"type":"type","title":"ExOpenAI.Components.RunStepCompletionUsage.t/0","doc":"","ref":"ExOpenAI.Components.RunStepCompletionUsage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaObject","doc":"Schema representing a RunStepDeltaObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsMessageCreationObject","doc":"Schema representing a RunStepDeltaStepDetailsMessageCreationObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsMessageCreationObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsMessageCreationObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsMessageCreationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsCodeObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputImageObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsCodeOutputImageObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputImageObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputImageObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputImageObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFileSearchObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsFileSearchObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFileSearchObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFileSearchObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFileSearchObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFunctionObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsFunctionObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFunctionObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFunctionObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFunctionObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsMessageCreationObject","doc":"Schema representing a RunStepDetailsMessageCreationObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsMessageCreationObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsMessageCreationObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsMessageCreationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeObject","doc":"Schema representing a RunStepDetailsToolCallsCodeObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputImageObject","doc":"Schema representing a RunStepDetailsToolCallsCodeOutputImageObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputImageObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputImageObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputImageObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputLogsObject","doc":"Schema representing a RunStepDetailsToolCallsCodeOutputLogsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputLogsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputLogsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputLogsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchObject","doc":"Schema representing a RunStepDetailsToolCallsFileSearchObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchRankingOptionsObject","doc":"Schema representing a RunStepDetailsToolCallsFileSearchRankingOptionsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchRankingOptionsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchRankingOptionsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchRankingOptionsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchResultObject","doc":"Schema representing a RunStepDetailsToolCallsFileSearchResultObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchResultObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchResultObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchResultObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsFunctionObject","doc":"Schema representing a RunStepDetailsToolCallsFunctionObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFunctionObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsFunctionObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFunctionObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsObject","doc":"Schema representing a RunStepDetailsToolCallsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepObject","doc":"Schema representing a RunStepObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepStreamEvent","doc":"Schema representing a RunStepStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [object: %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.created\"]}}, object: %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.in_progress\"]}}, object: %{\"data\" => {:component, \"RunStepDeltaObject\"}, \"event\" => {:enum, [:\"thread.run.step.delta\"]}}, object: %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.completed\"]}}, object: %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.failed\"]}}, object: %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.cancelled\"]}}, object: %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.expired\"]}}]","ref":"ExOpenAI.Components.RunStepStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.RunStepStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.RunStepStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStreamEvent","doc":"Schema representing a RunStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.created\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.queued\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.in_progress\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.requires_action\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.completed\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.incomplete\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.failed\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.cancelling\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.cancelled\"]}}, object: %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.expired\"]}}]","ref":"ExOpenAI.Components.RunStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.RunStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.RunStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunToolCallObject","doc":"Schema representing a RunToolCallObject within the OpenAI API","ref":"ExOpenAI.Components.RunToolCallObject.html"},{"type":"type","title":"ExOpenAI.Components.RunToolCallObject.t/0","doc":"","ref":"ExOpenAI.Components.RunToolCallObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Screenshot","doc":"Schema representing a Screenshot within the OpenAI API","ref":"ExOpenAI.Components.Screenshot.html"},{"type":"type","title":"ExOpenAI.Components.Screenshot.t/0","doc":"","ref":"ExOpenAI.Components.Screenshot.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Scroll","doc":"Schema representing a Scroll within the OpenAI API","ref":"ExOpenAI.Components.Scroll.html"},{"type":"type","title":"ExOpenAI.Components.Scroll.t/0","doc":"","ref":"ExOpenAI.Components.Scroll.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.StaticChunkingStrategy","doc":"Schema representing a StaticChunkingStrategy within the OpenAI API","ref":"ExOpenAI.Components.StaticChunkingStrategy.html"},{"type":"type","title":"ExOpenAI.Components.StaticChunkingStrategy.t/0","doc":"","ref":"ExOpenAI.Components.StaticChunkingStrategy.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.StaticChunkingStrategyRequestParam","doc":"Schema representing a StaticChunkingStrategyRequestParam within the OpenAI API","ref":"ExOpenAI.Components.StaticChunkingStrategyRequestParam.html"},{"type":"type","title":"ExOpenAI.Components.StaticChunkingStrategyRequestParam.t/0","doc":"","ref":"ExOpenAI.Components.StaticChunkingStrategyRequestParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.StaticChunkingStrategyResponseParam","doc":"Schema representing a StaticChunkingStrategyResponseParam within the OpenAI API","ref":"ExOpenAI.Components.StaticChunkingStrategyResponseParam.html"},{"type":"type","title":"ExOpenAI.Components.StaticChunkingStrategyResponseParam.t/0","doc":"","ref":"ExOpenAI.Components.StaticChunkingStrategyResponseParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.StopConfiguration","doc":"Schema representing a StopConfiguration within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [\"string\", {:array, \"string\"}]","ref":"ExOpenAI.Components.StopConfiguration.html"},{"type":"type","title":"ExOpenAI.Components.StopConfiguration.t/0","doc":"","ref":"ExOpenAI.Components.StopConfiguration.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.SubmitToolOutputsRunRequest","doc":"Schema representing a SubmitToolOutputsRunRequest within the OpenAI API","ref":"ExOpenAI.Components.SubmitToolOutputsRunRequest.html"},{"type":"type","title":"ExOpenAI.Components.SubmitToolOutputsRunRequest.t/0","doc":"","ref":"ExOpenAI.Components.SubmitToolOutputsRunRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.TextResponseFormatConfiguration","doc":"Schema representing a TextResponseFormatConfiguration within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"ResponseFormatText\", component: \"TextResponseFormatJsonSchema\", component: \"ResponseFormatJsonObject\"]","ref":"ExOpenAI.Components.TextResponseFormatConfiguration.html"},{"type":"type","title":"ExOpenAI.Components.TextResponseFormatConfiguration.t/0","doc":"","ref":"ExOpenAI.Components.TextResponseFormatConfiguration.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.TextResponseFormatJsonSchema","doc":"Schema representing a TextResponseFormatJsonSchema within the OpenAI API","ref":"ExOpenAI.Components.TextResponseFormatJsonSchema.html"},{"type":"type","title":"ExOpenAI.Components.TextResponseFormatJsonSchema.t/0","doc":"","ref":"ExOpenAI.Components.TextResponseFormatJsonSchema.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ThreadObject","doc":"Schema representing a ThreadObject within the OpenAI API","ref":"ExOpenAI.Components.ThreadObject.html"},{"type":"type","title":"ExOpenAI.Components.ThreadObject.t/0","doc":"","ref":"ExOpenAI.Components.ThreadObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ThreadStreamEvent","doc":"Schema representing a ThreadStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [object: %{\"data\" => {:component, \"ThreadObject\"}, \"enabled\" => \"boolean\", \"event\" => {:enum, [:\"thread.created\"]}}]","ref":"ExOpenAI.Components.ThreadStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.ThreadStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.ThreadStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Tool","doc":"Schema representing a Tool within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [component: \"FileSearchTool\", component: \"FunctionTool\", component: \"ComputerTool\", component: \"WebSearchTool\"]","ref":"ExOpenAI.Components.Tool.html"},{"type":"type","title":"ExOpenAI.Components.Tool.t/0","doc":"","ref":"ExOpenAI.Components.Tool.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ToolChoiceFunction","doc":"Schema representing a ToolChoiceFunction within the OpenAI API","ref":"ExOpenAI.Components.ToolChoiceFunction.html"},{"type":"type","title":"ExOpenAI.Components.ToolChoiceFunction.t/0","doc":"","ref":"ExOpenAI.Components.ToolChoiceFunction.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ToolChoiceOptions","doc":"Schema representing a ToolChoiceOptions within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:none, :auto, :required]}","ref":"ExOpenAI.Components.ToolChoiceOptions.html"},{"type":"type","title":"ExOpenAI.Components.ToolChoiceOptions.t/0","doc":"","ref":"ExOpenAI.Components.ToolChoiceOptions.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ToolChoiceTypes","doc":"Schema representing a ToolChoiceTypes within the OpenAI API","ref":"ExOpenAI.Components.ToolChoiceTypes.html"},{"type":"type","title":"ExOpenAI.Components.ToolChoiceTypes.t/0","doc":"","ref":"ExOpenAI.Components.ToolChoiceTypes.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.TranscriptionSegment","doc":"Schema representing a TranscriptionSegment within the OpenAI API","ref":"ExOpenAI.Components.TranscriptionSegment.html"},{"type":"type","title":"ExOpenAI.Components.TranscriptionSegment.t/0","doc":"","ref":"ExOpenAI.Components.TranscriptionSegment.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.TranscriptionWord","doc":"Schema representing a TranscriptionWord within the OpenAI API","ref":"ExOpenAI.Components.TranscriptionWord.html"},{"type":"type","title":"ExOpenAI.Components.TranscriptionWord.t/0","doc":"","ref":"ExOpenAI.Components.TranscriptionWord.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.TruncationObject","doc":"Schema representing a TruncationObject within the OpenAI API","ref":"ExOpenAI.Components.TruncationObject.html"},{"type":"type","title":"ExOpenAI.Components.TruncationObject.t/0","doc":"","ref":"ExOpenAI.Components.TruncationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Type","doc":"Schema representing a Type within the OpenAI API","ref":"ExOpenAI.Components.Type.html"},{"type":"type","title":"ExOpenAI.Components.Type.t/0","doc":"","ref":"ExOpenAI.Components.Type.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UpdateVectorStoreFileAttributesRequest","doc":"Schema representing a UpdateVectorStoreFileAttributesRequest within the OpenAI API","ref":"ExOpenAI.Components.UpdateVectorStoreFileAttributesRequest.html"},{"type":"type","title":"ExOpenAI.Components.UpdateVectorStoreFileAttributesRequest.t/0","doc":"","ref":"ExOpenAI.Components.UpdateVectorStoreFileAttributesRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UpdateVectorStoreRequest","doc":"Schema representing a UpdateVectorStoreRequest within the OpenAI API","ref":"ExOpenAI.Components.UpdateVectorStoreRequest.html"},{"type":"type","title":"ExOpenAI.Components.UpdateVectorStoreRequest.t/0","doc":"","ref":"ExOpenAI.Components.UpdateVectorStoreRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Upload","doc":"Schema representing a Upload within the OpenAI API","ref":"ExOpenAI.Components.Upload.html"},{"type":"type","title":"ExOpenAI.Components.Upload.t/0","doc":"","ref":"ExOpenAI.Components.Upload.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UploadPart","doc":"Schema representing a UploadPart within the OpenAI API","ref":"ExOpenAI.Components.UploadPart.html"},{"type":"type","title":"ExOpenAI.Components.UploadPart.t/0","doc":"","ref":"ExOpenAI.Components.UploadPart.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UrlCitation","doc":"Schema representing a UrlCitation within the OpenAI API","ref":"ExOpenAI.Components.UrlCitation.html"},{"type":"type","title":"ExOpenAI.Components.UrlCitation.t/0","doc":"","ref":"ExOpenAI.Components.UrlCitation.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageAudioSpeechesResult","doc":"Schema representing a UsageAudioSpeechesResult within the OpenAI API","ref":"ExOpenAI.Components.UsageAudioSpeechesResult.html"},{"type":"type","title":"ExOpenAI.Components.UsageAudioSpeechesResult.t/0","doc":"","ref":"ExOpenAI.Components.UsageAudioSpeechesResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageAudioTranscriptionsResult","doc":"Schema representing a UsageAudioTranscriptionsResult within the OpenAI API","ref":"ExOpenAI.Components.UsageAudioTranscriptionsResult.html"},{"type":"type","title":"ExOpenAI.Components.UsageAudioTranscriptionsResult.t/0","doc":"","ref":"ExOpenAI.Components.UsageAudioTranscriptionsResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageCodeInterpreterSessionsResult","doc":"Schema representing a UsageCodeInterpreterSessionsResult within the OpenAI API","ref":"ExOpenAI.Components.UsageCodeInterpreterSessionsResult.html"},{"type":"type","title":"ExOpenAI.Components.UsageCodeInterpreterSessionsResult.t/0","doc":"","ref":"ExOpenAI.Components.UsageCodeInterpreterSessionsResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageCompletionsResult","doc":"Schema representing a UsageCompletionsResult within the OpenAI API","ref":"ExOpenAI.Components.UsageCompletionsResult.html"},{"type":"type","title":"ExOpenAI.Components.UsageCompletionsResult.t/0","doc":"","ref":"ExOpenAI.Components.UsageCompletionsResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageEmbeddingsResult","doc":"Schema representing a UsageEmbeddingsResult within the OpenAI API","ref":"ExOpenAI.Components.UsageEmbeddingsResult.html"},{"type":"type","title":"ExOpenAI.Components.UsageEmbeddingsResult.t/0","doc":"","ref":"ExOpenAI.Components.UsageEmbeddingsResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageImagesResult","doc":"Schema representing a UsageImagesResult within the OpenAI API","ref":"ExOpenAI.Components.UsageImagesResult.html"},{"type":"type","title":"ExOpenAI.Components.UsageImagesResult.t/0","doc":"","ref":"ExOpenAI.Components.UsageImagesResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageModerationsResult","doc":"Schema representing a UsageModerationsResult within the OpenAI API","ref":"ExOpenAI.Components.UsageModerationsResult.html"},{"type":"type","title":"ExOpenAI.Components.UsageModerationsResult.t/0","doc":"","ref":"ExOpenAI.Components.UsageModerationsResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageResponse","doc":"Schema representing a UsageResponse within the OpenAI API","ref":"ExOpenAI.Components.UsageResponse.html"},{"type":"type","title":"ExOpenAI.Components.UsageResponse.t/0","doc":"","ref":"ExOpenAI.Components.UsageResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageTimeBucket","doc":"Schema representing a UsageTimeBucket within the OpenAI API","ref":"ExOpenAI.Components.UsageTimeBucket.html"},{"type":"type","title":"ExOpenAI.Components.UsageTimeBucket.t/0","doc":"","ref":"ExOpenAI.Components.UsageTimeBucket.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UsageVectorStoresResult","doc":"Schema representing a UsageVectorStoresResult within the OpenAI API","ref":"ExOpenAI.Components.UsageVectorStoresResult.html"},{"type":"type","title":"ExOpenAI.Components.UsageVectorStoresResult.t/0","doc":"","ref":"ExOpenAI.Components.UsageVectorStoresResult.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.User","doc":"Schema representing a User within the OpenAI API","ref":"ExOpenAI.Components.User.html"},{"type":"type","title":"ExOpenAI.Components.User.t/0","doc":"","ref":"ExOpenAI.Components.User.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UserDeleteResponse","doc":"Schema representing a UserDeleteResponse within the OpenAI API","ref":"ExOpenAI.Components.UserDeleteResponse.html"},{"type":"type","title":"ExOpenAI.Components.UserDeleteResponse.t/0","doc":"","ref":"ExOpenAI.Components.UserDeleteResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UserListResponse","doc":"Schema representing a UserListResponse within the OpenAI API","ref":"ExOpenAI.Components.UserListResponse.html"},{"type":"type","title":"ExOpenAI.Components.UserListResponse.t/0","doc":"","ref":"ExOpenAI.Components.UserListResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UserRoleUpdateRequest","doc":"Schema representing a UserRoleUpdateRequest within the OpenAI API","ref":"ExOpenAI.Components.UserRoleUpdateRequest.html"},{"type":"type","title":"ExOpenAI.Components.UserRoleUpdateRequest.t/0","doc":"","ref":"ExOpenAI.Components.UserRoleUpdateRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreExpirationAfter","doc":"Schema representing a VectorStoreExpirationAfter within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreExpirationAfter.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreExpirationAfter.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreExpirationAfter.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreFileAttributes","doc":"Schema representing a VectorStoreFileAttributes within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreFileAttributes.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreFileAttributes.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreFileAttributes.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreFileBatchObject","doc":"Schema representing a VectorStoreFileBatchObject within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreFileBatchObject.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreFileBatchObject.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreFileBatchObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreFileContentResponse","doc":"Schema representing a VectorStoreFileContentResponse within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreFileContentResponse.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreFileContentResponse.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreFileContentResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreFileObject","doc":"Schema representing a VectorStoreFileObject within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreFileObject.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreFileObject.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreFileObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreObject","doc":"Schema representing a VectorStoreObject within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreObject.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreObject.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreSearchRequest","doc":"Schema representing a VectorStoreSearchRequest within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreSearchRequest.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreSearchRequest.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreSearchRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreSearchResultContentObject","doc":"Schema representing a VectorStoreSearchResultContentObject within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreSearchResultContentObject.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreSearchResultContentObject.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreSearchResultContentObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreSearchResultItem","doc":"Schema representing a VectorStoreSearchResultItem within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreSearchResultItem.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreSearchResultItem.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreSearchResultItem.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreSearchResultsPage","doc":"Schema representing a VectorStoreSearchResultsPage within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreSearchResultsPage.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreSearchResultsPage.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreSearchResultsPage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Wait","doc":"Schema representing a Wait within the OpenAI API","ref":"ExOpenAI.Components.Wait.html"},{"type":"type","title":"ExOpenAI.Components.Wait.t/0","doc":"","ref":"ExOpenAI.Components.Wait.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.WebSearchContextSize","doc":"Schema representing a WebSearchContextSize within the OpenAI API\n\n\n\t\t\t\tUse any of these components: {:enum, [:low, :medium, :high]}","ref":"ExOpenAI.Components.WebSearchContextSize.html"},{"type":"type","title":"ExOpenAI.Components.WebSearchContextSize.t/0","doc":"","ref":"ExOpenAI.Components.WebSearchContextSize.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.WebSearchLocation","doc":"Schema representing a WebSearchLocation within the OpenAI API","ref":"ExOpenAI.Components.WebSearchLocation.html"},{"type":"type","title":"ExOpenAI.Components.WebSearchLocation.t/0","doc":"","ref":"ExOpenAI.Components.WebSearchLocation.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.WebSearchTool","doc":"Schema representing a WebSearchTool within the OpenAI API","ref":"ExOpenAI.Components.WebSearchTool.html"},{"type":"type","title":"ExOpenAI.Components.WebSearchTool.t/0","doc":"","ref":"ExOpenAI.Components.WebSearchTool.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.WebSearchToolCall","doc":"Schema representing a WebSearchToolCall within the OpenAI API","ref":"ExOpenAI.Components.WebSearchToolCall.html"},{"type":"type","title":"ExOpenAI.Components.WebSearchToolCall.t/0","doc":"","ref":"ExOpenAI.Components.WebSearchToolCall.html#t:t/0"},{"type":"module","title":"ExOpenAI.Config","doc":"Reads configuration on application start, parses all environment variables (if any)\nand caches the final config in memory to avoid parsing on each read afterwards.","ref":"ExOpenAI.Config.html"},{"type":"function","title":"ExOpenAI.Config.api_key/0","doc":"","ref":"ExOpenAI.Config.html#api_key/0"},{"type":"function","title":"ExOpenAI.Config.api_url/1","doc":"","ref":"ExOpenAI.Config.html#api_url/1"},{"type":"function","title":"ExOpenAI.Config.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExOpenAI.Config.html#child_spec/1"},{"type":"function","title":"ExOpenAI.Config.get/1","doc":"","ref":"ExOpenAI.Config.html#get/1"},{"type":"function","title":"ExOpenAI.Config.http_client/0","doc":"","ref":"ExOpenAI.Config.html#http_client/0"},{"type":"function","title":"ExOpenAI.Config.http_headers/0","doc":"","ref":"ExOpenAI.Config.html#http_headers/0"},{"type":"function","title":"ExOpenAI.Config.http_options/0","doc":"","ref":"ExOpenAI.Config.html#http_options/0"},{"type":"function","title":"ExOpenAI.Config.org_key/0","doc":"","ref":"ExOpenAI.Config.html#org_key/0"},{"type":"function","title":"ExOpenAI.Config.start_link/1","doc":"","ref":"ExOpenAI.Config.html#start_link/1"},{"type":"module","title":"ExOpenAI.Embeddings","doc":"Modules for interacting with the `embeddings` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/embeddings","ref":"ExOpenAI.Embeddings.html"},{"type":"function","title":"ExOpenAI.Embeddings.create_embedding/3","doc":"Creates an embedding vector representing the input text.\n\nEndpoint: `https://api.openai.com/v1/embeddings`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/embeddings\n\n---","ref":"ExOpenAI.Embeddings.html#create_embedding/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Embeddings.create_embedding/3","doc":"- `input`: Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for `text-embedding-ada-002`), cannot be an empty string, and any array must be 2048 dimensions or less. [Example Python code](https://cookbook.openai.com/examples/how_to_count_tokens_with_tiktoken) for counting tokens. Some models may also impose a limit on total number of tokens summed across inputs.\n\n\n- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models) for descriptions of them.","ref":"ExOpenAI.Embeddings.html#create_embedding/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Embeddings.create_embedding/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `dimensions`: \"The number of dimensions the resulting output embeddings should have. Only supported in `text-embedding-3` and later models.\\n\"\n\n- `encoding_format`: \"The format to return the embeddings in. Can be either `float` or [`base64`](https://pypi.org/project/pybase64/).\"\n\n*Example*: `\"float\"`\n\n- `user`: \"A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices#end-user-ids).\\n\"\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Embeddings.html#create_embedding/3-optional-arguments"},{"type":"module","title":"ExOpenAI.Files","doc":"Modules for interacting with the `files` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/files","ref":"ExOpenAI.Files.html"},{"type":"function","title":"ExOpenAI.Files.create_file/3","doc":"Upload a file that can be used across various endpoints. Individual files can be up to 512 MB, and the size of all files uploaded by one organization can be up to 100 GB.\n\nThe Assistants API supports files up to 2 million tokens and of specific file types. See the [Assistants Tools guide](https://platform.openai.com/docs/assistants/tools) for details.\n\nThe Fine-tuning API only supports `.jsonl` files. The input also has certain required formats for fine-tuning [chat](https://platform.openai.com/docs/api-reference/fine-tuning/chat-input) or [completions](https://platform.openai.com/docs/api-reference/fine-tuning/completions-input) models.\n\nThe Batch API only supports `.jsonl` files up to 200 MB in size. The input also has a specific required [format](https://platform.openai.com/docs/api-reference/batch/request-input).\n\nPlease [contact us](https://help.openai.com/) if you need to increase these storage limits.\n\n\nEndpoint: `https://api.openai.com/v1/files`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#create_file/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.create_file/3","doc":"- `file`: The File object (not file name) to be uploaded.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `purpose`: The intended purpose of the uploaded file. One of: - `assistants`: Used in the Assistants API - `batch`: Used in the Batch API - `fine-tune`: Used for fine-tuning - `vision`: Images used for vision fine-tuning - `user_data`: Flexible file type for any purpose - `evals`: Used for eval data sets","ref":"ExOpenAI.Files.html#create_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.create_file/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Files.html#create_file/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Files.delete_file/2","doc":"Delete a file.\n\nEndpoint: `https://api.openai.com/v1/files/{file_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#delete_file/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.delete_file/2","doc":"- `file_id`","ref":"ExOpenAI.Files.html#delete_file/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.delete_file/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Files.html#delete_file/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Files.download_file/2","doc":"Returns the contents of the specified file.\n\nEndpoint: `https://api.openai.com/v1/files/{file_id}/content`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#download_file/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.download_file/2","doc":"- `file_id`","ref":"ExOpenAI.Files.html#download_file/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.download_file/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Files.html#download_file/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Files.list_files/1","doc":"Returns a list of files.\n\nEndpoint: `https://api.openai.com/v1/files`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#list_files/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.list_files/1","doc":"","ref":"ExOpenAI.Files.html#list_files/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.list_files/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `purpose`\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Files.html#list_files/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Files.retrieve_file/2","doc":"Returns information about a specific file.\n\nEndpoint: `https://api.openai.com/v1/files/{file_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#retrieve_file/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.retrieve_file/2","doc":"- `file_id`","ref":"ExOpenAI.Files.html#retrieve_file/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.retrieve_file/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Files.html#retrieve_file/2-optional-arguments"},{"type":"module","title":"ExOpenAI.FineTuning","doc":"Modules for interacting with the `fine_tuning` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/fine_tuning","ref":"ExOpenAI.FineTuning.html"},{"type":"function","title":"ExOpenAI.FineTuning.cancel_fine_tuning_job/2","doc":"Immediately cancel a fine-tune job.\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.cancel_fine_tuning_job/2","doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.cancel_fine_tuning_job/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.create_fine_tuning_job/3","doc":"Creates a fine-tuning job which begins the process of creating a new model from a given dataset.\n\nResponse includes details of the enqueued job including job status and the name of the fine-tuned models once complete.\n\n[Learn more about fine-tuning](https://platform.openai.com/docs/guides/fine-tuning)\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.create_fine_tuning_job/3","doc":"- `model`: The name of the model to fine-tune. You can select one of the\n[supported models](https://platform.openai.com/docs/guides/fine-tuning#which-models-can-be-fine-tuned).\n\n\n- `training_file`: The ID of an uploaded file that contains training data.\n\nSee [upload file](https://platform.openai.com/docs/api-reference/files/create) for how to upload a file.\n\nYour dataset must be formatted as a JSONL file. Additionally, you must upload your file with the purpose `fine-tune`.\n\nThe contents of the file should differ depending on if the model uses the [chat](https://platform.openai.com/docs/api-reference/fine-tuning/chat-input), [completions](https://platform.openai.com/docs/api-reference/fine-tuning/completions-input) format, or if the fine-tuning method uses the [preference](https://platform.openai.com/docs/api-reference/fine-tuning/preference-input) format.\n\nSee the [fine-tuning guide](https://platform.openai.com/docs/guides/fine-tuning) for more details.\n\n\n*Example*: `file-abc123`","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.create_fine_tuning_job/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `hyperparameters`: \"The hyperparameters used for the fine-tuning job.\\nThis value is now deprecated in favor of `method`, and should be passed in under the `method` parameter.\\n\"\n\n- `integrations`: \"A list of integrations to enable for your fine-tuning job.\"\n\n- `metadata`: \"\"\n\n- `method`: \"\"\n\n- `seed`: \"The seed controls the reproducibility of the job. Passing in the same seed and job parameters should produce the same results, but may differ in rare cases.\\nIf a seed is not specified, one will be generated for you.\\n\"\n\n*Example*: `42`\n\n- `suffix`: \"A string of up to 64 characters that will be added to your fine-tuned model name.\\n\\nFor example, a `suffix` of \\\"custom-model-name\\\" would produce a model name like `ft:gpt-4o-mini:openai:custom-model-name:7p4lURel`.\\n\"\n\n- `validation_file`: \"The ID of an uploaded file that contains validation data.\\n\\nIf you provide this file, the data is used to generate validation\\nmetrics periodically during fine-tuning. These metrics can be viewed in\\nthe fine-tuning results file.\\nThe same data should not be present in both train and validation files.\\n\\nYour dataset must be formatted as a JSONL file. You must upload your file with the purpose `fine-tune`.\\n\\nSee the [fine-tuning guide](https://platform.openai.com/docs/guides/fine-tuning) for more details.\\n\"\n\n*Example*: `\"file-abc123\"`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.list_fine_tuning_events/2","doc":"Get status updates for a fine-tuning job.\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}/events`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.list_fine_tuning_events/2","doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.list_fine_tuning_events/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `after`\n\n- `limit`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.list_fine_tuning_job_checkpoints/2","doc":"List checkpoints for a fine-tuning job.\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_job_checkpoints/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.list_fine_tuning_job_checkpoints/2","doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_job_checkpoints/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.list_fine_tuning_job_checkpoints/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `after`\n\n- `limit`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_job_checkpoints/2-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.list_paginated_fine_tuning_jobs/1","doc":"List your organization's fine-tuning jobs\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#list_paginated_fine_tuning_jobs/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.list_paginated_fine_tuning_jobs/1","doc":"","ref":"ExOpenAI.FineTuning.html#list_paginated_fine_tuning_jobs/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.list_paginated_fine_tuning_jobs/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `after`\n\n- `limit`\n\n- `metadata`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.FineTuning.html#list_paginated_fine_tuning_jobs/1-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","doc":"Get info about a fine-tuning job.\n\n[Learn more about fine-tuning](https://platform.openai.com/docs/guides/fine-tuning)\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Images","doc":"Modules for interacting with the `images` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/images","ref":"ExOpenAI.Images.html"},{"type":"function","title":"ExOpenAI.Images.create_image/2","doc":"Creates an image given a prompt.\n\nEndpoint: `https://api.openai.com/v1/images/generations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---","ref":"ExOpenAI.Images.html#create_image/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Images.create_image/2","doc":"- `prompt`: A text description of the desired image(s). The maximum length is 1000 characters for `dall-e-2` and 4000 characters for `dall-e-3`.\n\n*Example*: `A cute baby sea otter`","ref":"ExOpenAI.Images.html#create_image/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Images.create_image/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `model`: \"The model to use for image generation.\"\n\n- `n`: \"The number of images to generate. Must be between 1 and 10. For `dall-e-3`, only `n=1` is supported.\"\n\n*Example*: `1`\n\n- `quality`: \"The quality of the image that will be generated. `hd` creates images with finer details and greater consistency across the image. This param is only supported for `dall-e-3`.\"\n\n*Example*: `\"standard\"`\n\n- `response_format`: \"The format in which the generated images are returned. Must be one of `url` or `b64_json`. URLs are only valid for 60 minutes after the image has been generated.\"\n\n*Example*: `\"url\"`\n\n- `size`: \"The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024` for `dall-e-2`. Must be one of `1024x1024`, `1792x1024`, or `1024x1792` for `dall-e-3` models.\"\n\n*Example*: `\"1024x1024\"`\n\n- `style`: \"The style of the generated images. Must be one of `vivid` or `natural`. Vivid causes the model to lean towards generating hyper-real and dramatic images. Natural causes the model to produce more natural, less hyper-real looking images. This param is only supported for `dall-e-3`.\"\n\n*Example*: `\"vivid\"`\n\n- `user`: \"A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices#end-user-ids).\\n\"\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Images.html#create_image/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Images.create_image_edit/3","doc":"Creates an edited or extended image given an original image and a prompt.\n\nEndpoint: `https://api.openai.com/v1/images/edits`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---","ref":"ExOpenAI.Images.html#create_image_edit/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Images.create_image_edit/3","doc":"- `image`: The image to edit. Must be a valid PNG file, less than 4MB, and square. If mask is not provided, image must have transparency, which will be used as the mask.\n\n- `prompt`: A text description of the desired image(s). The maximum length is 1000 characters.\n\n*Example*: `A cute baby sea otter wearing a beret`","ref":"ExOpenAI.Images.html#create_image_edit/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Images.create_image_edit/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `mask`: \"An additional image whose fully transparent areas (e.g. where alpha is zero) indicate where `image` should be edited. Must be a valid PNG file, less than 4MB, and have the same dimensions as `image`.\"\n\n- `model`: \"The model to use for image generation. Only `dall-e-2` is supported at this time.\"\n\n- `n`: \"The number of images to generate. Must be between 1 and 10.\"\n\n*Example*: `1`\n\n- `response_format`: \"The format in which the generated images are returned. Must be one of `url` or `b64_json`. URLs are only valid for 60 minutes after the image has been generated.\"\n\n*Example*: `\"url\"`\n\n- `size`: \"The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024`.\"\n\n*Example*: `\"1024x1024\"`\n\n- `user`: \"A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices#end-user-ids).\\n\"\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Images.html#create_image_edit/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Images.create_image_variation/2","doc":"Creates a variation of a given image.\n\nEndpoint: `https://api.openai.com/v1/images/variations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---","ref":"ExOpenAI.Images.html#create_image_variation/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Images.create_image_variation/2","doc":"- `image`: The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.","ref":"ExOpenAI.Images.html#create_image_variation/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Images.create_image_variation/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `model`: \"The model to use for image generation. Only `dall-e-2` is supported at this time.\"\n\n- `n`: \"The number of images to generate. Must be between 1 and 10. For `dall-e-3`, only `n=1` is supported.\"\n\n*Example*: `1`\n\n- `response_format`: \"The format in which the generated images are returned. Must be one of `url` or `b64_json`. URLs are only valid for 60 minutes after the image has been generated.\"\n\n*Example*: `\"url\"`\n\n- `size`: \"The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024`.\"\n\n*Example*: `\"1024x1024\"`\n\n- `user`: \"A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices#end-user-ids).\\n\"\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Images.html#create_image_variation/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Models","doc":"Modules for interacting with the `models` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/models","ref":"ExOpenAI.Models.html"},{"type":"function","title":"ExOpenAI.Models.delete_model/2","doc":"Delete a fine-tuned model. You must have the Owner role in your organization to delete a model.\n\nEndpoint: `https://api.openai.com/v1/models/{model}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/models\n\n---","ref":"ExOpenAI.Models.html#delete_model/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Models.delete_model/2","doc":"- `model`\n\n*Example*: `ft:gpt-4o-mini:acemeco:suffix:abc123`","ref":"ExOpenAI.Models.html#delete_model/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Models.delete_model/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Models.html#delete_model/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Models.list_models/1","doc":"Lists the currently available models, and provides basic information about each one such as the owner and availability.\n\nEndpoint: `https://api.openai.com/v1/models`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/models\n\n---","ref":"ExOpenAI.Models.html#list_models/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Models.list_models/1","doc":"","ref":"ExOpenAI.Models.html#list_models/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Models.list_models/1","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Models.html#list_models/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Models.retrieve_model/2","doc":"Retrieves a model instance, providing basic information about the model such as the owner and permissioning.\n\nEndpoint: `https://api.openai.com/v1/models/{model}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/models\n\n---","ref":"ExOpenAI.Models.html#retrieve_model/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Models.retrieve_model/2","doc":"- `model`\n\n*Example*: `gpt-4o-mini`","ref":"ExOpenAI.Models.html#retrieve_model/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Models.retrieve_model/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Models.html#retrieve_model/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Moderations","doc":"Modules for interacting with the `moderations` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/moderations","ref":"ExOpenAI.Moderations.html"},{"type":"function","title":"ExOpenAI.Moderations.create_moderation/2","doc":"Classifies if text and/or image inputs are potentially harmful. Learn\nmore in the [moderation guide](https://platform.openai.com/docs/guides/moderation).\n\n\nEndpoint: `https://api.openai.com/v1/moderations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/moderations\n\n---","ref":"ExOpenAI.Moderations.html#create_moderation/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Moderations.create_moderation/2","doc":"- `input`: Input (or inputs) to classify. Can be a single string, an array of strings, or\nan array of multi-modal input objects similar to other models.","ref":"ExOpenAI.Moderations.html#create_moderation/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Moderations.create_moderation/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `model`: \"The content moderation model you would like to use. Learn more in\\n[the moderation guide](https://platform.openai.com/docs/guides/moderation), and learn about\\navailable models [here](https://platform.openai.com/docs/models#moderation).\\n\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Moderations.html#create_moderation/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Organization","doc":"Modules for interacting with the `organization` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/organization","ref":"ExOpenAI.Organization.html"},{"type":"function","title":"ExOpenAI.Organization.admin-api-keys-create/1","doc":"Create an organization admin API key\n\nEndpoint: `https://api.openai.com/v1/organization/admin_api_keys`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#admin-api-keys-create/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.admin-api-keys-create/1","doc":"","ref":"ExOpenAI.Organization.html#admin-api-keys-create/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.admin-api-keys-create/1","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#admin-api-keys-create/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.admin-api-keys-delete/2","doc":"Delete an organization admin API key\n\nEndpoint: `https://api.openai.com/v1/organization/admin_api_keys/{key_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#admin-api-keys-delete/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.admin-api-keys-delete/2","doc":"- `key_id`","ref":"ExOpenAI.Organization.html#admin-api-keys-delete/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.admin-api-keys-delete/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#admin-api-keys-delete/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.admin-api-keys-get/2","doc":"Retrieve a single organization API key\n\nEndpoint: `https://api.openai.com/v1/organization/admin_api_keys/{key_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#admin-api-keys-get/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.admin-api-keys-get/2","doc":"- `key_id`","ref":"ExOpenAI.Organization.html#admin-api-keys-get/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.admin-api-keys-get/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#admin-api-keys-get/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.admin-api-keys-list/1","doc":"List organization API keys\n\nEndpoint: `https://api.openai.com/v1/organization/admin_api_keys`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#admin-api-keys-list/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.admin-api-keys-list/1","doc":"","ref":"ExOpenAI.Organization.html#admin-api-keys-list/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.admin-api-keys-list/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `after`\n\n- `order`\n\n- `limit`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#admin-api-keys-list/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.archive-project/2","doc":"Archives a project in the organization. Archived projects cannot be used or updated.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/archive`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#archive-project/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.archive-project/2","doc":"- `project_id`","ref":"ExOpenAI.Organization.html#archive-project/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.archive-project/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#archive-project/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.create-project-service-account/3","doc":"Creates a new service account in the project. This also returns an unredacted API key for the service account.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/service_accounts`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#create-project-service-account/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.create-project-service-account/3","doc":"- `project_id`\n\n- `name`: The name of the service account being created.","ref":"ExOpenAI.Organization.html#create-project-service-account/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.create-project-service-account/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#create-project-service-account/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.create-project-user/4","doc":"Adds a user to the project. Users must already be members of the organization to be added to a project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/users`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#create-project-user/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.create-project-user/4","doc":"- `project_id`\n\n- `role`: `owner` or `member`\n\n- `user_id`: The ID of the user.","ref":"ExOpenAI.Organization.html#create-project-user/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.create-project-user/4","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#create-project-user/4-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.create-project/2","doc":"Create a new project in the organization. Projects can be created and archived, but cannot be deleted.\n\nEndpoint: `https://api.openai.com/v1/organization/projects`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#create-project/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.create-project/2","doc":"- `name`: The friendly name of the project, this name appears in reports.","ref":"ExOpenAI.Organization.html#create-project/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.create-project/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#create-project/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.delete-invite/2","doc":"Delete an invite. If the invite has already been accepted, it cannot be deleted.\n\nEndpoint: `https://api.openai.com/v1/organization/invites/{invite_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#delete-invite/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.delete-invite/2","doc":"- `invite_id`","ref":"ExOpenAI.Organization.html#delete-invite/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.delete-invite/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#delete-invite/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.delete-project-api-key/3","doc":"Deletes an API key from the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/api_keys/{key_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#delete-project-api-key/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.delete-project-api-key/3","doc":"- `project_id`\n\n- `key_id`","ref":"ExOpenAI.Organization.html#delete-project-api-key/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.delete-project-api-key/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#delete-project-api-key/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.delete-project-service-account/3","doc":"Deletes a service account from the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/service_accounts/{service_account_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#delete-project-service-account/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.delete-project-service-account/3","doc":"- `project_id`\n\n- `service_account_id`","ref":"ExOpenAI.Organization.html#delete-project-service-account/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.delete-project-service-account/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#delete-project-service-account/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.delete-project-user/3","doc":"Deletes a user from the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/users/{user_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#delete-project-user/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.delete-project-user/3","doc":"- `project_id`\n\n- `user_id`","ref":"ExOpenAI.Organization.html#delete-project-user/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.delete-project-user/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#delete-project-user/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.delete-user/2","doc":"Deletes a user from the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/users/{user_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#delete-user/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.delete-user/2","doc":"- `user_id`","ref":"ExOpenAI.Organization.html#delete-user/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.delete-user/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#delete-user/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.invite_user/3","doc":"Create an invite for a user to the organization. The invite must be accepted by the user before they have access to the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/invites`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#invite_user/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.invite_user/3","doc":"- `email`: Send an email to this address\n\n- `role`: `owner` or `reader`","ref":"ExOpenAI.Organization.html#invite_user/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.invite_user/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `projects`: \"An array of projects to which membership is granted at the same time the org invite is accepted. If omitted, the user will be invited to the default project for compatibility with legacy behavior.\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#invite_user/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.list-audit-logs/1","doc":"List user actions and configuration changes within this organization.\n\nEndpoint: `https://api.openai.com/v1/organization/audit_logs`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#list-audit-logs/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.list-audit-logs/1","doc":"","ref":"ExOpenAI.Organization.html#list-audit-logs/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.list-audit-logs/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `effective_at`\n\n- `project_ids[]`\n\n- `event_types[]`\n\n- `actor_ids[]`\n\n- `actor_emails[]`\n\n- `resource_ids[]`\n\n- `limit`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#list-audit-logs/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.list-invites/1","doc":"Returns a list of invites in the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/invites`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#list-invites/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.list-invites/1","doc":"","ref":"ExOpenAI.Organization.html#list-invites/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.list-invites/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `after`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#list-invites/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.list-project-api-keys/2","doc":"Returns a list of API keys in the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/api_keys`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#list-project-api-keys/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.list-project-api-keys/2","doc":"- `project_id`","ref":"ExOpenAI.Organization.html#list-project-api-keys/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.list-project-api-keys/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `after`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#list-project-api-keys/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.list-project-rate-limits/2","doc":"Returns the rate limits per model for a project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/rate_limits`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#list-project-rate-limits/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.list-project-rate-limits/2","doc":"- `project_id`","ref":"ExOpenAI.Organization.html#list-project-rate-limits/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.list-project-rate-limits/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#list-project-rate-limits/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.list-project-service-accounts/2","doc":"Returns a list of service accounts in the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/service_accounts`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#list-project-service-accounts/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.list-project-service-accounts/2","doc":"- `project_id`","ref":"ExOpenAI.Organization.html#list-project-service-accounts/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.list-project-service-accounts/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `after`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#list-project-service-accounts/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.list-project-users/2","doc":"Returns a list of users in the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/users`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#list-project-users/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.list-project-users/2","doc":"- `project_id`","ref":"ExOpenAI.Organization.html#list-project-users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.list-project-users/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `after`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#list-project-users/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.list-projects/1","doc":"Returns a list of projects.\n\nEndpoint: `https://api.openai.com/v1/organization/projects`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#list-projects/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.list-projects/1","doc":"","ref":"ExOpenAI.Organization.html#list-projects/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.list-projects/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `after`\n\n- `include_archived`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#list-projects/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.list-users/1","doc":"Lists all of the users in the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/users`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#list-users/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.list-users/1","doc":"","ref":"ExOpenAI.Organization.html#list-users/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.list-users/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `after`\n\n- `emails`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#list-users/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.modify-project-user/4","doc":"Modifies a user's role in the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/users/{user_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#modify-project-user/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.modify-project-user/4","doc":"- `project_id`\n\n- `user_id`\n\n- `role`: `owner` or `member`","ref":"ExOpenAI.Organization.html#modify-project-user/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.modify-project-user/4","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#modify-project-user/4-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.modify-project/3","doc":"Modifies a project in the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#modify-project/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.modify-project/3","doc":"- `project_id`\n\n- `name`: The updated name of the project, this name appears in reports.","ref":"ExOpenAI.Organization.html#modify-project/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.modify-project/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#modify-project/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.modify-user/3","doc":"Modifies a user's role in the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/users/{user_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#modify-user/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.modify-user/3","doc":"- `user_id`\n\n- `role`: `owner` or `reader`","ref":"ExOpenAI.Organization.html#modify-user/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.modify-user/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#modify-user/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.retrieve-invite/2","doc":"Retrieves an invite.\n\nEndpoint: `https://api.openai.com/v1/organization/invites/{invite_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#retrieve-invite/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.retrieve-invite/2","doc":"- `invite_id`","ref":"ExOpenAI.Organization.html#retrieve-invite/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.retrieve-invite/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#retrieve-invite/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.retrieve-project-api-key/3","doc":"Retrieves an API key in the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/api_keys/{key_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#retrieve-project-api-key/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.retrieve-project-api-key/3","doc":"- `project_id`\n\n- `key_id`","ref":"ExOpenAI.Organization.html#retrieve-project-api-key/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.retrieve-project-api-key/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#retrieve-project-api-key/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.retrieve-project-service-account/3","doc":"Retrieves a service account in the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/service_accounts/{service_account_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#retrieve-project-service-account/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.retrieve-project-service-account/3","doc":"- `project_id`\n\n- `service_account_id`","ref":"ExOpenAI.Organization.html#retrieve-project-service-account/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.retrieve-project-service-account/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#retrieve-project-service-account/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.retrieve-project-user/3","doc":"Retrieves a user in the project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/users/{user_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#retrieve-project-user/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.retrieve-project-user/3","doc":"- `project_id`\n\n- `user_id`","ref":"ExOpenAI.Organization.html#retrieve-project-user/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.retrieve-project-user/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#retrieve-project-user/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.retrieve-project/2","doc":"Retrieves a project.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#retrieve-project/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.retrieve-project/2","doc":"- `project_id`","ref":"ExOpenAI.Organization.html#retrieve-project/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.retrieve-project/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#retrieve-project/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.retrieve-user/2","doc":"Retrieves a user by their identifier.\n\nEndpoint: `https://api.openai.com/v1/organization/users/{user_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#retrieve-user/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.retrieve-user/2","doc":"- `user_id`","ref":"ExOpenAI.Organization.html#retrieve-user/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.retrieve-user/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#retrieve-user/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.update-project-rate-limits/3","doc":"Updates a project rate limit.\n\nEndpoint: `https://api.openai.com/v1/organization/projects/{project_id}/rate_limits/{rate_limit_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#update-project-rate-limits/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.update-project-rate-limits/3","doc":"- `project_id`\n\n- `rate_limit_id`","ref":"ExOpenAI.Organization.html#update-project-rate-limits/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.update-project-rate-limits/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `batch_1_day_max_input_tokens`: \"The maximum batch input tokens per day. Only relevant for certain models.\"\n\n- `max_audio_megabytes_per_1_minute`: \"The maximum audio megabytes per minute. Only relevant for certain models.\"\n\n- `max_images_per_1_minute`: \"The maximum images per minute. Only relevant for certain models.\"\n\n- `max_requests_per_1_day`: \"The maximum requests per day. Only relevant for certain models.\"\n\n- `max_requests_per_1_minute`: \"The maximum requests per minute.\"\n\n- `max_tokens_per_1_minute`: \"The maximum tokens per minute.\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#update-project-rate-limits/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-audio-speeches/2","doc":"Get audio speeches usage details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/usage/audio_speeches`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-audio-speeches/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-audio-speeches/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-audio-speeches/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-audio-speeches/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `project_ids`\n\n- `user_ids`\n\n- `api_key_ids`\n\n- `models`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-audio-speeches/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-audio-transcriptions/2","doc":"Get audio transcriptions usage details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/usage/audio_transcriptions`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-audio-transcriptions/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-audio-transcriptions/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-audio-transcriptions/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-audio-transcriptions/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `project_ids`\n\n- `user_ids`\n\n- `api_key_ids`\n\n- `models`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-audio-transcriptions/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-code-interpreter-sessions/2","doc":"Get code interpreter sessions usage details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/usage/code_interpreter_sessions`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-code-interpreter-sessions/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-code-interpreter-sessions/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-code-interpreter-sessions/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-code-interpreter-sessions/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `project_ids`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-code-interpreter-sessions/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-completions/2","doc":"Get completions usage details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/usage/completions`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-completions/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-completions/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-completions/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-completions/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `project_ids`\n\n- `user_ids`\n\n- `api_key_ids`\n\n- `models`\n\n- `batch`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-completions/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-costs/2","doc":"Get costs details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/costs`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-costs/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-costs/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-costs/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-costs/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `project_ids`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-costs/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-embeddings/2","doc":"Get embeddings usage details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/usage/embeddings`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-embeddings/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-embeddings/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-embeddings/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-embeddings/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `project_ids`\n\n- `user_ids`\n\n- `api_key_ids`\n\n- `models`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-embeddings/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-images/2","doc":"Get images usage details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/usage/images`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-images/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-images/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-images/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-images/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `sources`\n\n- `sizes`\n\n- `project_ids`\n\n- `user_ids`\n\n- `api_key_ids`\n\n- `models`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-images/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-moderations/2","doc":"Get moderations usage details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/usage/moderations`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-moderations/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-moderations/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-moderations/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-moderations/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `project_ids`\n\n- `user_ids`\n\n- `api_key_ids`\n\n- `models`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-moderations/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Organization.usage-vector-stores/2","doc":"Get vector stores usage details for the organization.\n\nEndpoint: `https://api.openai.com/v1/organization/usage/vector_stores`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/organization\n\n---","ref":"ExOpenAI.Organization.html#usage-vector-stores/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Organization.usage-vector-stores/2","doc":"- `start_time`","ref":"ExOpenAI.Organization.html#usage-vector-stores/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Organization.usage-vector-stores/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `end_time`\n\n- `bucket_width`\n\n- `project_ids`\n\n- `group_by`\n\n- `limit`\n\n- `page`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Organization.html#usage-vector-stores/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Realtime","doc":"Modules for interacting with the `realtime` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/realtime","ref":"ExOpenAI.Realtime.html"},{"type":"function","title":"ExOpenAI.Realtime.create-realtime-session/1","doc":"Create an ephemeral API token for use in client-side applications with the\nRealtime API. Can be configured with the same session parameters as the\n`session.update` client event.\n\nIt responds with a session object, plus a `client_secret` key which contains\na usable ephemeral API token that can be used to authenticate browser clients\nfor the Realtime API.\n\n\nEndpoint: `https://api.openai.com/v1/realtime/sessions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/realtime\n\n---","ref":"ExOpenAI.Realtime.html#create-realtime-session/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Realtime.create-realtime-session/1","doc":"","ref":"ExOpenAI.Realtime.html#create-realtime-session/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Realtime.create-realtime-session/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `input_audio_format`: \"The format of input audio. Options are `pcm16`, `g711_ulaw`, or `g711_alaw`.\\nFor `pcm16`, input audio must be 16-bit PCM at a 24kHz sample rate, \\nsingle channel (mono), and little-endian byte order.\\n\"\n\n- `input_audio_transcription`: \"Configuration for input audio transcription, defaults to off and can be  set to `null` to turn off once on. Input audio transcription is not native to the model, since the model consumes audio directly. Transcription runs  asynchronously through [OpenAI Whisper transcription](https://platform.openai.comhttps://platform.openai.com/docs/api-reference/audio/createTranscription) and should be treated as rough guidance rather than the representation understood by the model. The client can optionally set the language and prompt for transcription, these fields will be passed to the Whisper API.\\n\"\n\n- `instructions`: \"The default system instructions (i.e. system message) prepended to model \\ncalls. This field allows the client to guide the model on desired \\nresponses. The model can be instructed on response content and format, \\n(e.g. \\\"be extremely succinct\\\", \\\"act friendly\\\", \\\"here are examples of good \\nresponses\\\") and on audio behavior (e.g. \\\"talk quickly\\\", \\\"inject emotion \\ninto your voice\\\", \\\"laugh frequently\\\"). The instructions are not guaranteed \\nto be followed by the model, but they provide guidance to the model on the \\ndesired behavior.\\n\\nNote that the server sets default instructions which will be used if this \\nfield is not set and are visible in the `session.created` event at the \\nstart of the session.\\n\"\n\n- `max_response_output_tokens`: \"Maximum number of output tokens for a single assistant response,\\ninclusive of tool calls. Provide an integer between 1 and 4096 to\\nlimit output tokens, or `inf` for the maximum available tokens for a\\ngiven model. Defaults to `inf`.\\n\"\n\n- `modalities`: \"The set of modalities the model can respond with. To disable audio,\\nset this to [\\\"text\\\"].\\n\"\n\n- `model`: \"The Realtime model used for this session.\\n\"\n\n- `output_audio_format`: \"The format of output audio. Options are `pcm16`, `g711_ulaw`, or `g711_alaw`.\\nFor `pcm16`, output audio is sampled at a rate of 24kHz.\\n\"\n\n- `temperature`: \"Sampling temperature for the model, limited to [0.6, 1.2]. Defaults to 0.8.\\n\"\n\n- `tool_choice`: \"How the model chooses tools. Options are `auto`, `none`, `required`, or \\nspecify a function.\\n\"\n\n- `tools`: \"Tools (functions) available to the model.\"\n\n- `turn_detection`: \"Configuration for turn detection. Can be set to `null` to turn off. Server \\nVAD means that the model will detect the start and end of speech based on \\naudio volume and respond at the end of user speech.\\n\"\n\n- `voice`: \"The voice the model uses to respond. Voice cannot be changed during the \\nsession once the model has responded with audio at least once. Current \\nvoice options are `alloy`, `ash`, `ballad`, `coral`, `echo` `sage`, \\n`shimmer` and `verse`.\\n\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Realtime.html#create-realtime-session/1-optional-arguments"},{"type":"module","title":"ExOpenAI.Responses","doc":"Modules for interacting with the `responses` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/responses","ref":"ExOpenAI.Responses.html"},{"type":"function","title":"ExOpenAI.Responses.create_response/3","doc":"Creates a model response. Provide [text](https://platform.openai.com/docs/guides/text) or\n[image](https://platform.openai.com/docs/guides/images) inputs to generate [text](https://platform.openai.com/docs/guides/text)\nor [JSON](https://platform.openai.com/docs/guides/structured-outputs) outputs. Have the model call\nyour own [custom code](https://platform.openai.com/docs/guides/function-calling) or use built-in\n[tools](https://platform.openai.com/docs/guides/tools) like [web search](https://platform.openai.com/docs/guides/tools-web-search)\nor [file search](https://platform.openai.com/docs/guides/tools-file-search) to use your own data\nas input for the model's response.\n\n\nEndpoint: `https://api.openai.com/v1/responses`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/responses\n\n---","ref":"ExOpenAI.Responses.html#create_response/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Responses.create_response/3","doc":"- `input`: Text, image, or file inputs to the model, used to generate a response.\n\nLearn more:\n- [Text inputs and outputs](https://platform.openai.com/docs/guides/text)\n- [Image inputs](https://platform.openai.com/docs/guides/images)\n- [File inputs](https://platform.openai.com/docs/guides/pdf-files)\n- [Conversation state](https://platform.openai.com/docs/guides/conversation-state)\n- [Function calling](https://platform.openai.com/docs/guides/function-calling)\n\n\n- `model`: Model ID used to generate the response, like `gpt-4o` or `o1`. OpenAI\noffers a wide range of models with different capabilities, performance\ncharacteristics, and price points. Refer to the [model guide](https://platform.openai.com/docs/models)\nto browse and compare available models.","ref":"ExOpenAI.Responses.html#create_response/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Responses.create_response/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `include`: %{\"$ref\" => \"#/components/schemas/Includable/description\"}\n\n- `parallel_tool_calls`: \"Whether to allow the model to run tool calls in parallel.\\n\"\n\n- `store`: \"Whether to store the generated model response for later retrieval via\\nAPI.\\n\"\n\n- `stream`: \"If set to true, the model response data will be streamed to the client\\nas it is generated using [server-sent events](https://developer.mozilla.org/en-UShttps://platform.openai.com/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format).\\nSee the [Streaming section below](https://platform.openai.com/docs/api-reference/responses-streaming)\\nfor more information.\\n\"\n\n- `instructions`: \"Inserts a system (or developer) message as the first item in the model's context.\\n\\nWhen using along with `previous_response_id`, the instructions from a previous\\nresponse will be not be carried over to the next response. This makes it simple\\nto swap out system (or developer) messages in new responses.\\n\"\n\n- `max_output_tokens`: \"An upper bound for the number of tokens that can be generated for a response, including visible output tokens and [reasoning tokens](https://platform.openai.com/docs/guides/reasoning).\\n\"\n\n- `previous_response_id`: \"The unique ID of the previous response to the model. Use this to\\ncreate multi-turn conversations. Learn more about \\n[conversation state](https://platform.openai.com/docs/guides/conversation-state).\\n\"\n\n- `reasoning`: \"\"\n\n- `text`: \"Configuration options for a text response from the model. Can be plain\\ntext or structured JSON data. Learn more:\\n- [Text inputs and outputs](https://platform.openai.com/docs/guides/text)\\n- [Structured Outputs](https://platform.openai.com/docs/guides/structured-outputs)\\n\"\n\n- `tool_choice`: \"How the model should select which tool (or tools) to use when generating\\na response. See the `tools` parameter to see how to specify which tools\\nthe model can call.\\n\"\n\n- `tools`: \"An array of tools the model may call while generating a response. You \\ncan specify which tool to use by setting the `tool_choice` parameter.\\n\\nThe two categories of tools you can provide the model are:\\n\\n- **Built-in tools**: Tools that are provided by OpenAI that extend the\\n  model's capabilities, like [web search](https://platform.openai.com/docs/guides/tools-web-search)\\n  or [file search](https://platform.openai.com/docs/guides/tools-file-search). Learn more about\\n  [built-in tools](https://platform.openai.com/docs/guides/tools).\\n- **Function calls (custom tools)**: Functions that are defined by you,\\n  enabling the model to call your own code. Learn more about\\n  [function calling](https://platform.openai.com/docs/guides/function-calling).\\n\"\n\n- `truncation`: \"The truncation strategy to use for the model response.\\n- `auto`: If the context of this response and previous ones exceeds\\n  the model's context window size, the model will truncate the \\n  response to fit the context window by dropping input items in the\\n  middle of the conversation. \\n- `disabled` (default): If a model response will exceed the context window \\n  size for a model, the request will fail with a 400 error.\\n\"\n\n- `metadata`: \"\"\n\n- `temperature`: \"What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\\nWe generally recommend altering this or `top_p` but not both.\\n\"\n\n*Example*: `1`\n\n- `top_p`: \"An alternative to sampling with temperature, called nucleus sampling,\\nwhere the model considers the results of the tokens with top_p probability\\nmass. So 0.1 means only the tokens comprising the top 10% probability mass\\nare considered.\\n\\nWe generally recommend altering this or `temperature` but not both.\\n\"\n\n*Example*: `1`\n\n- `user`: \"A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices#end-user-ids).\\n\"\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Responses.html#create_response/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Responses.delete_response/2","doc":"Deletes a model response with the given ID.\n\n\nEndpoint: `https://api.openai.com/v1/responses/{response_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/responses\n\n---","ref":"ExOpenAI.Responses.html#delete_response/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Responses.delete_response/2","doc":"- `response_id`\n\n*Example*: `resp_677efb5139a88190b512bc3fef8e535d`","ref":"ExOpenAI.Responses.html#delete_response/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Responses.delete_response/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Responses.html#delete_response/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Responses.get_response/2","doc":"Retrieves a model response with the given ID.\n\n\nEndpoint: `https://api.openai.com/v1/responses/{response_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/responses\n\n---","ref":"ExOpenAI.Responses.html#get_response/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Responses.get_response/2","doc":"- `response_id`\n\n*Example*: `resp_677efb5139a88190b512bc3fef8e535d`","ref":"ExOpenAI.Responses.html#get_response/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Responses.get_response/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `include`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Responses.html#get_response/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Responses.list_input_items/2","doc":"Returns a list of input items for a given response.\n\nEndpoint: `https://api.openai.com/v1/responses/{response_id}/input_items`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/responses\n\n---","ref":"ExOpenAI.Responses.html#list_input_items/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Responses.list_input_items/2","doc":"- `response_id`","ref":"ExOpenAI.Responses.html#list_input_items/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Responses.list_input_items/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Responses.html#list_input_items/2-optional-arguments"},{"type":"behaviour","title":"ExOpenAI.StreamingClient","doc":"","ref":"ExOpenAI.StreamingClient.html"},{"type":"function","title":"ExOpenAI.StreamingClient.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExOpenAI.StreamingClient.html#child_spec/1"},{"type":"function","title":"ExOpenAI.StreamingClient.forward_response/2","doc":"Forwards the given response back to the receiver\nIf receiver is a PID, will use GenServer.cast to send\nIf receiver is a function, will call the function directly","ref":"ExOpenAI.StreamingClient.html#forward_response/2"},{"type":"function","title":"ExOpenAI.StreamingClient.handle_chunk/2","doc":"","ref":"ExOpenAI.StreamingClient.html#handle_chunk/2"},{"type":"callback","title":"ExOpenAI.StreamingClient.handle_data/2","doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_data/2"},{"type":"callback","title":"ExOpenAI.StreamingClient.handle_error/2","doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_error/2"},{"type":"callback","title":"ExOpenAI.StreamingClient.handle_finish/1","doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_finish/1"},{"type":"function","title":"ExOpenAI.StreamingClient.init/1","doc":"","ref":"ExOpenAI.StreamingClient.html#init/1"},{"type":"function","title":"ExOpenAI.StreamingClient.start_link/2","doc":"","ref":"ExOpenAI.StreamingClient.html#start_link/2"},{"type":"module","title":"ExOpenAI.Threads","doc":"Modules for interacting with the `threads` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/threads","ref":"ExOpenAI.Threads.html"},{"type":"function","title":"ExOpenAI.Threads.cancel_run/3","doc":"Cancels a run that is `in_progress`.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#cancel_run/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.cancel_run/3","doc":"- `thread_id`\n\n- `run_id`","ref":"ExOpenAI.Threads.html#cancel_run/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.cancel_run/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#cancel_run/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.create_message/4","doc":"Create a message.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#create_message/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.create_message/4","doc":"- `thread_id`\n\n- `content`: \n\n- `role`: The role of the entity that is creating the message. Allowed values include:\n- `user`: Indicates the message is sent by an actual user and should be used in most cases to represent user-generated messages.\n- `assistant`: Indicates the message is generated by the assistant. Use this value to insert messages from the assistant into the conversation.","ref":"ExOpenAI.Threads.html#create_message/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.create_message/4","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `attachments`: \"A list of files attached to the message, and the tools they should be added to.\"\n\n- `metadata`: \"\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#create_message/4-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.create_run/3","doc":"Create a run.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#create_run/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.create_run/3","doc":"- `thread_id`\n\n- `assistant_id`: The ID of the [assistant](https://platform.openai.com/docs/api-reference/assistants) to use to execute this run.","ref":"ExOpenAI.Threads.html#create_run/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.create_run/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `include[]`\n\n- `additional_instructions`: \"Appends additional instructions at the end of the instructions for the run. This is useful for modifying the behavior on a per-run basis without overriding other instructions.\"\n\n- `additional_messages`: \"Adds additional messages to the thread before creating the run.\"\n\n- `instructions`: \"Overrides the [instructions](https://platform.openai.com/docs/api-reference/assistants/createAssistant) of the assistant. This is useful for modifying the behavior on a per-run basis.\"\n\n- `max_completion_tokens`: \"The maximum number of completion tokens that may be used over the course of the run. The run will make a best effort to use only the number of completion tokens specified, across multiple turns of the run. If the run exceeds the number of completion tokens specified, the run will end with status `incomplete`. See `incomplete_details` for more info.\\n\"\n\n- `max_prompt_tokens`: \"The maximum number of prompt tokens that may be used over the course of the run. The run will make a best effort to use only the number of prompt tokens specified, across multiple turns of the run. If the run exceeds the number of prompt tokens specified, the run will end with status `incomplete`. See `incomplete_details` for more info.\\n\"\n\n- `metadata`: \"\"\n\n- `model`: \"The ID of the [Model](https://platform.openai.com/docs/api-reference/models) to be used to execute this run. If a value is provided here, it will override the model associated with the assistant. If not, the model associated with the assistant will be used.\"\n\n- `parallel_tool_calls`: \"\"\n\n- `reasoning_effort`: \"\"\n\n- `response_format`: \"\"\n\n- `stream`: \"If `true`, returns a stream of events that happen during the Run as server-sent events, terminating when the Run enters a terminal state with a `data: [DONE]` message.\\n\"\n\n- `temperature`: \"What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\\n\"\n\n*Example*: `1`\n\n- `tool_choice`: nil\n\n- `tools`: \"Override the tools the assistant can use for this run. This is useful for modifying the behavior on a per-run basis.\"\n\n- `top_p`: \"An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\\n\\nWe generally recommend altering this or temperature but not both.\\n\"\n\n*Example*: `1`\n\n- `truncation_strategy`: nil\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#create_run/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.create_thread/1","doc":"Create a thread.\n\nEndpoint: `https://api.openai.com/v1/threads`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#create_thread/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.create_thread/1","doc":"","ref":"ExOpenAI.Threads.html#create_thread/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.create_thread/1","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#create_thread/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.create_thread_and_run/2","doc":"Create a thread and run it in one request.\n\nEndpoint: `https://api.openai.com/v1/threads/runs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#create_thread_and_run/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.create_thread_and_run/2","doc":"- `assistant_id`: The ID of the [assistant](https://platform.openai.com/docs/api-reference/assistants) to use to execute this run.","ref":"ExOpenAI.Threads.html#create_thread_and_run/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.create_thread_and_run/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `instructions`: \"Override the default system message of the assistant. This is useful for modifying the behavior on a per-run basis.\"\n\n- `max_completion_tokens`: \"The maximum number of completion tokens that may be used over the course of the run. The run will make a best effort to use only the number of completion tokens specified, across multiple turns of the run. If the run exceeds the number of completion tokens specified, the run will end with status `incomplete`. See `incomplete_details` for more info.\\n\"\n\n- `max_prompt_tokens`: \"The maximum number of prompt tokens that may be used over the course of the run. The run will make a best effort to use only the number of prompt tokens specified, across multiple turns of the run. If the run exceeds the number of prompt tokens specified, the run will end with status `incomplete`. See `incomplete_details` for more info.\\n\"\n\n- `metadata`: \"\"\n\n- `model`: \"The ID of the [Model](https://platform.openai.com/docs/api-reference/models) to be used to execute this run. If a value is provided here, it will override the model associated with the assistant. If not, the model associated with the assistant will be used.\"\n\n- `parallel_tool_calls`: \"\"\n\n- `response_format`: \"\"\n\n- `stream`: \"If `true`, returns a stream of events that happen during the Run as server-sent events, terminating when the Run enters a terminal state with a `data: [DONE]` message.\\n\"\n\n- `temperature`: \"What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\\n\"\n\n*Example*: `1`\n\n- `thread`: \"\"\n\n- `tool_choice`: nil\n\n- `tool_resources`: \"A set of resources that are used by the assistant's tools. The resources are specific to the type of tool. For example, the `code_interpreter` tool requires a list of file IDs, while the `file_search` tool requires a list of vector store IDs.\\n\"\n\n- `tools`: \"Override the tools the assistant can use for this run. This is useful for modifying the behavior on a per-run basis.\"\n\n- `top_p`: \"An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\\n\\nWe generally recommend altering this or temperature but not both.\\n\"\n\n*Example*: `1`\n\n- `truncation_strategy`: nil\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#create_thread_and_run/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.delete_message/3","doc":"Deletes a message.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages/{message_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#delete_message/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.delete_message/3","doc":"- `thread_id`\n\n- `message_id`","ref":"ExOpenAI.Threads.html#delete_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.delete_message/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#delete_message/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.delete_thread/2","doc":"Delete a thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#delete_thread/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.delete_thread/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#delete_thread/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.delete_thread/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#delete_thread/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.get_message/3","doc":"Retrieve a message.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages/{message_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#get_message/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.get_message/3","doc":"- `thread_id`\n\n- `message_id`","ref":"ExOpenAI.Threads.html#get_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.get_message/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#get_message/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.get_run/3","doc":"Retrieves a run.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#get_run/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.get_run/3","doc":"- `thread_id`\n\n- `run_id`","ref":"ExOpenAI.Threads.html#get_run/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.get_run/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#get_run/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.get_run_step/4","doc":"Retrieves a run step.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}/steps/{step_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#get_run_step/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.get_run_step/4","doc":"- `thread_id`\n\n- `run_id`\n\n- `step_id`","ref":"ExOpenAI.Threads.html#get_run_step/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.get_run_step/4","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `include[]`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#get_run_step/4-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.get_thread/2","doc":"Retrieves a thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#get_thread/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.get_thread/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#get_thread/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.get_thread/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#get_thread/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.list_messages/2","doc":"Returns a list of messages for a given thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#list_messages/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.list_messages/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#list_messages/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.list_messages/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `run_id`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#list_messages/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.list_run_steps/3","doc":"Returns a list of run steps belonging to a run.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}/steps`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#list_run_steps/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.list_run_steps/3","doc":"- `thread_id`\n\n- `run_id`","ref":"ExOpenAI.Threads.html#list_run_steps/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.list_run_steps/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `include[]`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#list_run_steps/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.list_runs/2","doc":"Returns a list of runs belonging to a thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#list_runs/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.list_runs/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#list_runs/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.list_runs/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#list_runs/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.modify_message/3","doc":"Modifies a message.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages/{message_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#modify_message/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.modify_message/3","doc":"- `thread_id`\n\n- `message_id`","ref":"ExOpenAI.Threads.html#modify_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.modify_message/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#modify_message/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.modify_run/3","doc":"Modifies a run.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#modify_run/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.modify_run/3","doc":"- `thread_id`\n\n- `run_id`","ref":"ExOpenAI.Threads.html#modify_run/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.modify_run/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#modify_run/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.modify_thread/2","doc":"Modifies a thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#modify_thread/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.modify_thread/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#modify_thread/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.modify_thread/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#modify_thread/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.submit_tool_ouputs_to_run/4","doc":"When a run has the `status: \"requires_action\"` and `required_action.type` is `submit_tool_outputs`, this endpoint can be used to submit the outputs from the tool calls once they're all completed. All outputs must be submitted in a single request.\n\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}/submit_tool_outputs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#submit_tool_ouputs_to_run/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.submit_tool_ouputs_to_run/4","doc":"- `thread_id`\n\n- `run_id`\n\n- `tool_outputs`: A list of tools for which the outputs are being submitted.","ref":"ExOpenAI.Threads.html#submit_tool_ouputs_to_run/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.submit_tool_ouputs_to_run/4","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `stream`: \"If `true`, returns a stream of events that happen during the Run as server-sent events, terminating when the Run enters a terminal state with a `data: [DONE]` message.\\n\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Threads.html#submit_tool_ouputs_to_run/4-optional-arguments"},{"type":"module","title":"ExOpenAI.Uploads","doc":"Modules for interacting with the `uploads` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/uploads","ref":"ExOpenAI.Uploads.html"},{"type":"function","title":"ExOpenAI.Uploads.add_upload_part/3","doc":"Adds a [Part](https://platform.openai.com/docs/api-reference/uploads/part-object) to an [Upload](https://platform.openai.com/docs/api-reference/uploads/object) object. A Part represents a chunk of bytes from the file you are trying to upload. \n\nEach Part can be at most 64 MB, and you can add Parts until you hit the Upload maximum of 8 GB.\n\nIt is possible to add multiple Parts in parallel. You can decide the intended order of the Parts when you [complete the Upload](https://platform.openai.com/docs/api-reference/uploads/complete).\n\n\nEndpoint: `https://api.openai.com/v1/uploads/{upload_id}/parts`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/uploads\n\n---","ref":"ExOpenAI.Uploads.html#add_upload_part/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Uploads.add_upload_part/3","doc":"- `upload_id`\n\n*Example*: `upload_abc123`\n\n- `data`: The chunk of bytes for this Part.","ref":"ExOpenAI.Uploads.html#add_upload_part/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Uploads.add_upload_part/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Uploads.html#add_upload_part/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Uploads.cancel_upload/2","doc":"Cancels the Upload. No Parts may be added after an Upload is cancelled.\n\n\nEndpoint: `https://api.openai.com/v1/uploads/{upload_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/uploads\n\n---","ref":"ExOpenAI.Uploads.html#cancel_upload/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Uploads.cancel_upload/2","doc":"- `upload_id`\n\n*Example*: `upload_abc123`","ref":"ExOpenAI.Uploads.html#cancel_upload/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Uploads.cancel_upload/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Uploads.html#cancel_upload/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Uploads.complete_upload/3","doc":"Completes the [Upload](https://platform.openai.com/docs/api-reference/uploads/object). \n\nWithin the returned Upload object, there is a nested [File](https://platform.openai.com/docs/api-reference/files/object) object that is ready to use in the rest of the platform.\n\nYou can specify the order of the Parts by passing in an ordered list of the Part IDs.\n\nThe number of bytes uploaded upon completion must match the number of bytes initially specified when creating the Upload object. No Parts may be added after an Upload is completed.\n\n\nEndpoint: `https://api.openai.com/v1/uploads/{upload_id}/complete`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/uploads\n\n---","ref":"ExOpenAI.Uploads.html#complete_upload/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Uploads.complete_upload/3","doc":"- `upload_id`\n\n*Example*: `upload_abc123`\n\n- `part_ids`: The ordered list of Part IDs.","ref":"ExOpenAI.Uploads.html#complete_upload/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Uploads.complete_upload/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `md5`: \"The optional md5 checksum for the file contents to verify if the bytes uploaded matches what you expect.\\n\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Uploads.html#complete_upload/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Uploads.create_upload/5","doc":"Creates an intermediate [Upload](https://platform.openai.com/docs/api-reference/uploads/object) object\nthat you can add [Parts](https://platform.openai.com/docs/api-reference/uploads/part-object) to.\nCurrently, an Upload can accept at most 8 GB in total and expires after an\nhour after you create it.\n\nOnce you complete the Upload, we will create a\n[File](https://platform.openai.com/docs/api-reference/files/object) object that contains all the parts\nyou uploaded. This File is usable in the rest of our platform as a regular\nFile object.\n\nFor certain `purpose` values, the correct `mime_type` must be specified. \nPlease refer to documentation for the \n[supported MIME types for your use case](https://platform.openai.com/docs/assistants/tools/file-search#supported-files).\n\nFor guidance on the proper filename extensions for each purpose, please\nfollow the documentation on [creating a\nFile](https://platform.openai.com/docs/api-reference/files/create).\n\n\nEndpoint: `https://api.openai.com/v1/uploads`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/uploads\n\n---","ref":"ExOpenAI.Uploads.html#create_upload/5"},{"type":"function","title":"Required Arguments: - ExOpenAI.Uploads.create_upload/5","doc":"- `bytes`: The number of bytes in the file you are uploading.\n\n\n- `filename`: The name of the file to upload.\n\n\n- `mime_type`: The MIME type of the file.\n\nThis must fall within the supported MIME types for your file purpose. See the supported MIME types for assistants and vision.\n\n\n- `purpose`: The intended purpose of the uploaded file.\n\nSee the [documentation on File purposes](https://platform.openai.com/docs/api-reference/files/create#files-create-purpose).","ref":"ExOpenAI.Uploads.html#create_upload/5-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Uploads.create_upload/5","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.Uploads.html#create_upload/5-optional-arguments"},{"type":"module","title":"ExOpenAI.VectorStores","doc":"Modules for interacting with the `vector_stores` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/vector_stores","ref":"ExOpenAI.VectorStores.html"},{"type":"function","title":"ExOpenAI.VectorStores.cancel_vector_store_file_batch/3","doc":"Cancel a vector store file batch. This attempts to cancel the processing of files in this batch as soon as possible.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#cancel_vector_store_file_batch/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.cancel_vector_store_file_batch/3","doc":"- `vector_store_id`\n\n- `batch_id`","ref":"ExOpenAI.VectorStores.html#cancel_vector_store_file_batch/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.cancel_vector_store_file_batch/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#cancel_vector_store_file_batch/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.create_vector_store/1","doc":"Create a vector store.\n\nEndpoint: `https://api.openai.com/v1/vector_stores`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#create_vector_store/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.create_vector_store/1","doc":"","ref":"ExOpenAI.VectorStores.html#create_vector_store/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.create_vector_store/1","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#create_vector_store/1-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.create_vector_store_file/3","doc":"Create a vector store file by attaching a [File](https://platform.openai.com/docs/api-reference/files) to a [vector store](https://platform.openai.com/docs/api-reference/vector-stores/object).\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#create_vector_store_file/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.create_vector_store_file/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `file_id`: A [File](https://platform.openai.com/docs/api-reference/files) ID that the vector store should use. Useful for tools like `file_search` that can access files.","ref":"ExOpenAI.VectorStores.html#create_vector_store_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.create_vector_store_file/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `attributes`: \"\"\n\n- `chunking_strategy`: \"\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#create_vector_store_file/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.create_vector_store_file_batch/3","doc":"Create a vector store file batch.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/file_batches`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#create_vector_store_file_batch/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.create_vector_store_file_batch/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `file_ids`: A list of [File](https://platform.openai.com/docs/api-reference/files) IDs that the vector store should use. Useful for tools like `file_search` that can access files.","ref":"ExOpenAI.VectorStores.html#create_vector_store_file_batch/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.create_vector_store_file_batch/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `attributes`: \"\"\n\n- `chunking_strategy`: \"\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#create_vector_store_file_batch/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.delete_vector_store/2","doc":"Delete a vector store.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#delete_vector_store/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.delete_vector_store/2","doc":"- `vector_store_id`","ref":"ExOpenAI.VectorStores.html#delete_vector_store/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.delete_vector_store/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#delete_vector_store/2-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.delete_vector_store_file/3","doc":"Delete a vector store file. This will remove the file from the vector store but the file itself will not be deleted. To delete the file, use the [delete file](https://platform.openai.com/docs/api-reference/files/delete) endpoint.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files/{file_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#delete_vector_store_file/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.delete_vector_store_file/3","doc":"- `vector_store_id`\n\n- `file_id`","ref":"ExOpenAI.VectorStores.html#delete_vector_store_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.delete_vector_store_file/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#delete_vector_store_file/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.get_vector_store/2","doc":"Retrieves a vector store.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#get_vector_store/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.get_vector_store/2","doc":"- `vector_store_id`","ref":"ExOpenAI.VectorStores.html#get_vector_store/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.get_vector_store/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#get_vector_store/2-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.get_vector_store_file/3","doc":"Retrieves a vector store file.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files/{file_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#get_vector_store_file/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.get_vector_store_file/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `file_id`\n\n*Example*: `file-abc123`","ref":"ExOpenAI.VectorStores.html#get_vector_store_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.get_vector_store_file/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#get_vector_store_file/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.get_vector_store_file_batch/3","doc":"Retrieves a vector store file batch.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#get_vector_store_file_batch/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.get_vector_store_file_batch/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `batch_id`\n\n*Example*: `vsfb_abc123`","ref":"ExOpenAI.VectorStores.html#get_vector_store_file_batch/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.get_vector_store_file_batch/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#get_vector_store_file_batch/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.list_files_in_vector_store_batch/3","doc":"Returns a list of vector store files in a batch.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}/files`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#list_files_in_vector_store_batch/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.list_files_in_vector_store_batch/3","doc":"- `vector_store_id`\n\n- `batch_id`","ref":"ExOpenAI.VectorStores.html#list_files_in_vector_store_batch/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.list_files_in_vector_store_batch/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `filter`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#list_files_in_vector_store_batch/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.list_vector_store_files/2","doc":"Returns a list of vector store files.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#list_vector_store_files/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.list_vector_store_files/2","doc":"- `vector_store_id`","ref":"ExOpenAI.VectorStores.html#list_vector_store_files/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.list_vector_store_files/2","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `filter`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#list_vector_store_files/2-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.list_vector_stores/1","doc":"Returns a list of vector stores.\n\nEndpoint: `https://api.openai.com/v1/vector_stores`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#list_vector_stores/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.list_vector_stores/1","doc":"","ref":"ExOpenAI.VectorStores.html#list_vector_stores/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.list_vector_stores/1","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#list_vector_stores/1-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.modify_vector_store/2","doc":"Modifies a vector store.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#modify_vector_store/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.modify_vector_store/2","doc":"- `vector_store_id`","ref":"ExOpenAI.VectorStores.html#modify_vector_store/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.modify_vector_store/2","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#modify_vector_store/2-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.retrieve_vector_store_file_content/3","doc":"Retrieve the parsed contents of a vector store file.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files/{file_id}/content`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#retrieve_vector_store_file_content/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.retrieve_vector_store_file_content/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `file_id`\n\n*Example*: `file-abc123`","ref":"ExOpenAI.VectorStores.html#retrieve_vector_store_file_content/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.retrieve_vector_store_file_content/3","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#retrieve_vector_store_file_content/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.search_vector_store/3","doc":"Search a vector store for relevant chunks based on a query and file attributes filter.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/search`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#search_vector_store/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.search_vector_store/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `query`: A query string for a search","ref":"ExOpenAI.VectorStores.html#search_vector_store/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.search_vector_store/3","doc":"- `stream_to`: \"PID or function of where to stream content to\"\n\n- `filters`: \"A filter to apply based on file attributes.\"\n\n- `max_num_results`: \"The maximum number of results to return. This number should be between 1 and 50 inclusive.\"\n\n- `ranking_options`: \"Ranking options for search.\"\n\n- `rewrite_query`: \"Whether to rewrite the natural language query for vector search.\"\n\n- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#search_vector_store/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.update_vector_store_file_attributes/4","doc":"Update attributes on a vector store file.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files/{file_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#update_vector_store_file_attributes/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.update_vector_store_file_attributes/4","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `file_id`\n\n*Example*: `file-abc123`\n\n- `attributes`:","ref":"ExOpenAI.VectorStores.html#update_vector_store_file_attributes/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.update_vector_store_file_attributes/4","doc":"- `openai_api_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\"\n\n- `openai_organization_key`: \"OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\"\n\n- `base_url`: \"Which API endpoint to use as base, defaults to https://api.openai.com/v1\"","ref":"ExOpenAI.VectorStores.html#update_vector_store_file_attributes/4-optional-arguments"},{"type":"task","title":"mix update_openai_docs","doc":"Updates OpenAI API documentation files","ref":"Mix.Tasks.UpdateOpenaiDocs.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}